MPlayer(1)

NAME
mplayer - Movie Player
mencoder - Movie Encoder

SYNOPSIS
mplayer [Optionen] [ Datei | URL | Playlist | - ]
mplayer
[globale Optionen] Datei1 [spezielle Optionen] [Datei2] [spezielle Optionen]
mplayer
[globale Optionen] {Liste von Dateien und Optionen} [Liste von Dateien und Optionen]
mplayer
dvd://[Titel | [Starttitel]-Endtitel ] [Optionen]
mplayer
vcd://Titel[/Gerät]
mplayer
tv://[Kanal] [Optionen]
mplayer
dvb://[Kartennummer@]Kanal [Optionen]
mplayer
mf://Dateimaske [-mf Optionen] [Optionen]
mplayer
[cdda|cddb]://Titel[:Geschwindigkeit][/Gerät] [Optionen]
mplayer
cue://Datei[:Titel] [Optionen]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [Benutzer:Passwort@]URL[:Port] [Optionen]
mplayer
sdp://Datei [Optionen]
mplayer
mpst://Rechnername[:Port]/URL [Optionen]
gmplayer [Optionen] [-skin skin]
mencoder [Optionen] [ Datei | URL | - ] [-o Datei]

BESCHREIBUNG
mplayer ist ein Movie-Player für Linux (der auch auf vielen anderen Unixen und nicht-x86-CPUs läuft, siehe Dokumentation). Er spielt die meisten Dateien in den Formaten MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM und RoQ ab, unterstützt von vielen eingebauten und binären Codecs. Es können VideoCDs, SuperVCDs, DVDs, 3ivx-, DivX 3/4/5- und sogar WMV-Filme angeschaut werden.

MPlayer unterstützt eine große Auswahl an Ausgabetreibern X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB sowie GGI, SDL (und damit alle von SDL unterstützen Treiber), VESA (mit jeder VESA-kompatiblen Grafikkarte, auch ohne X11), einige Kartenspezifischen Low-Level-Treiber (für Matrox, 3Dfx und ATI) und einige Hardware-MPEG-Decoderkarten wie sie Siemens DVB, DXR2 und DXR3/Hollywood+ benutzen. Die meisten von ihnen unterstützen Software- oder Hardwareskalierung, so dass die Vollbildwiedergabe kein Problem ist.

MPlayer verfügt über ein onscreen display (OSD) für Statusinformationen, schöne, große, schattierte und kantengeglättete Untertitel und visuelles Feedback bei Tastatureingaben. Europäische/ISO 8859-1,2 (Ungarisch, Englisch, Tschechisch etc), Kyrillische und Koreanische Schriftarten werden ebenso wie zehn Untertitelformate (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub und unser eigenes MPsub) unterstützt, ebenso wie DVD-Untertitel (SPU-Streams, VOBsub und Closed Captions).

mencoder (MPlayer's Movie Encoder) ist ein einfacher Movie-Encoder, der so entworfen wurde, dass er alle von MPlayer abspielbaren Filme (siehe oben) in andere von MPlayer abspielbare Formate (siehe unten) umwandeln kann. Er encodiert nach DivX4, XviD, jeden der libavcodec-Codecs und Audio nach PCM/MP3/VBR-MP3, das ganze in 1, 2 oder 3 Durchgängen. Weiterhin kann er Streams kopieren und verfügt über ein mächtiges Filter-System (Entfernen (cropping) und Hinzufügen (expanding) von Rändern, horizontales Spiegeln, Nachbearbeitung (Postprocessing), Rotation, Skalierung, Rauschunterdrückung (denoising), RGB/YUV-Konvertierung und mehr).

gmplayer ist die Bezeichnung für MPlayer mit einem graphischen Benutzerinterface. Er verfügt über die gleichen Optionen wie MPlayer.

Siehe auch die HTML-Dokumentation!

TASTATURSTEUERUNG
MPlayer besitzt eine Kontrollfunktion, die befehlsgesteuert ist und sich komplett konfigurieren läßt. Die Steuerung geschieht mittels Tastatur, Maus, Joystick oder Fernbedieung (funktionierende LIRC-Unterstützung vorausgesetzt).
Die Standardkonfigurations-Datei für diese Steuerung ist ~/.mplayer/input.conf, mit der -input-Option kann man aber auch eine andere Datei angeben.
Die folgenden Tasten/Funktionen funktionieren eventuell nicht, nicht jeder Videoausgabetreiber unterstützt alle Funktionen.

Allgemeine Kontrolle
    springe 10 Sekunden zurück/vor springe 1 Minute zurück/vor springe 10 Minuten zurück/vor zurückvor in der Playlist spiele den nächsten/vorigen Eintrag des Wiedergabebaums der aktuellen Liste wähle die nächste/vorige alternative Quelle (nur bei ASX-Playlists) Wiedergabe pausieren (jede Taste unterbricht die Pause) beendet die Wiedergabe und MPlayer passt die Audioverzögerung um +/- 0.1 Sekunde an Lautstärke verringern/erhöhen Lautstärke verringern/erhöhen ändert Ton-Stummschaltung (ein/aus) ändert Vollbild-Wiedergabe (ein/aus) ändert Stay-on-top-Eigenschaft (ein/aus); unterstützt von X11-Treibern (außer SDL) sowie von directx and gl2 unter Windows. verringern/erhöhen der Panscan - Weite wechselt zwischen OSD-Anzeigen: keine / Suche / Suche+Zeit / Suche+Zeit+Gesamtzeit wechselt zwischen verschiedenen Framedropping-Einstellungen: keine / überspringe Display / überspringe Dekodierung (siehe -framedrop und -hardframedrop) ändert Sichtbarkeit der Untertitel (aus/ein) wechselt Untertitel-Sprache
F   ändert die Anzeige der "erzwungenen Untertitel" ändert Positionierung der Untertitel: oben/mitte/unten passt die Untertitel-Anzeige um +/- 0.1 Sekunde an passt die Untertitel-Position an setze EDL-Markierung

(Die folgenden Eingaben funktionieren nur in Verbindung mit hardware-beschleunigter Videoausgabe (xv, (x)vidix, (x)mga, etc), oder dem Software Equalizer-Filter (-vf eq or -vf eq2).

passe Kontrast an passe Helligkeit an passe Farbton an passe Sättigung an

GUI Tastatursteuerung
    startet Wiedergabe beendet Wiedergabe Datei laden Skinbrowser Anzeige der Playlist an/aus

TV Input-Steuerung
    wählt vorigen/nächsten Kanal ändert Norm (PAL/NTSC) ändert die Anzeige der Liste der Kanäle

ZUM UMGANG MIT MPLAYER
Jede Option 'flag' kennt ein Gegenstück, 'noflag'. Beispielsweise ist '-nofs' das Gegenstück zu '-fs'.

Wenn eine Option als (nur XXX)-markiert ist, wird diese nur in Kombination mit der XXX-Option funktionieren oder wenn XXX einkompiliert ist.

Du kannst jede Option in einer Konfigurationsdatei speichern, die bei jedem Start von MPlayer gelesen wird. Die systemweite Konfigurationsdatei 'mplayer.conf' liegt in deinem Konfigurationsverzeichnis (z.B. /etc/mplayer oder /usr/local/etc/mplayer). Die benutzerspezifische Datei liegt in '~/.mplayer/config'. Benutzerspezifische Einstellungen haben Vorrang vor den systemweiten, und Optionen auf der Kommandozeile überschreiben die beiden anderen. Die Syntax der Konfigurationsdateien lautet 'option=<wert>'. Alles, was nach einem '#' kommt, wird als Kommentar verstanden und nicht ausgewertet. Optionen, die keine Werte benötigen, können aktiviert werden, wenn du ihnen den Wert 'yes' oder '1' oder 'true' zuweist. Deaktiviert werden sie mit 'no' oder '0'. Selbst Unteroptionen können in dieser Art angegeben werden.

BEISPIEL:
# Benutze standardmäßig den Matrox-Treiber
vo=xmga
# Ich stehe darauf, beim Zusehen einen Handstand zu machen.
flip=yes
# Decodiere/encodiere mehrere Dateien im PNG-Format,
# beginne mit mf://Dateimaske
mf=type=png:fps=25
# Unheimliche Negativbilder sind cool.
vf=eq2=1.0:-0.8

Du kannst auch dateispezifische Konfigurationsdateien schreiben. Wenn du für einen Film namens 'movie.avi' eine Konfigurationsdatei schreiben möchtest, dann nenn diese Datei 'movie.avi.conf', steck dort alle nur für diesen Film relevanten Optionen rein und speichere die Datei in ~/.mplayer oder im gleichen Verzeichnis wie 'movie.avi'.

ALLGEMEINE OPTIONEN

-codecs-file <Dateiname>
    Benutze die angegebene Datei anstelle der systemweit instalierten oder der eingebauten codecs.conf. Siehe auch -afm, -ac, -vfm und -vc.

-include <Konfigurationsdatei>
    Gib eine Konfigurationsdatei an, die nach der Standardkonfigurationsdateien eingelesen werden soll.

-quiet
    Konsolenausgaben werden weniger ausführlich; im Besonderen wird damit die Statuszeile (z.B. A: 0.7 V: 0.6 A-V: 0.068 ...) nicht angezeigt. Besonders nützlich ist dies bei langsamen Terminals oder fehlerhaften, die Zeilenvorschübe nicht richtig verarbeiten (z.B. \r).

-v, -verbose
    macht Ausgaben ausführlicher (mehrere -v erzeugen höhere Ausführlichkeit). nur einige Informationsausgaben (standard) einige Debug-Informationen, avi-Header, Funktionswerte (init-Debug) gibt avi-Indizes, Dateiblock-Inputs und weitere Debug-Informationen aus (player-Debug) gibt alles aus, was mit dem Input-Parser zu tun hat (parser-Debug)

PLAYER-SPEZIFISCHE OPTIONEN (NUR FÜR MPLAYER)

-autoq <Qualität> (zusammen mit -vf [s]pp)
    Ändert dynamisch das Qualitätslevel der Nachbearbeitung, je nachdem, wieviel CPU-Zeit gerade frei ist. Das angegebene Level ist das maximal verwendete Level. Normalerweise kanns du eine große Nummer wählen. Um dieses Feature zu benutzen, muss -vf [s]pp ohne Parameter aufgerufen werden.

-autosync <Faktor>
    Ändert schrittweise die A/V-Synchronisation basierend auf den Messungen der Audioverzögerung. Mit -autosync 0, dem Standardwert, wird das Bildtiming nur auf der gemessenen Audioverzögerung basieren. Mit -autosync 1 wird der A/V-Sync-Algorithmus leicht verändert. Bei einem Film mit nicht gleichbleibender Framerate, der mit -nosound problemlos abgespielt wird, kann -autosync mit einem Wert größer 1 helfen. Je höher der Wert gewählt wird, desto mehr ähnelt das Verhalten dem von -nosound. -autosync 30 kann bei Probleme helfen, die bei Audiotreibern entstehen, die keine perfekt funktionierende Messung der Audioverzögerung zulassen. Mit diesem Wert dauert es nur eine oder zwei Sekunden, bis A/V-Sync wieder ok ist, wenn große A/V-Synch-Unterschiede auftreten. Diese Verzögerung bei der Reaktion auf abrupte A/V-Sync-Änderungen sollte der einzige Nebeneffekt dieser Option sein, bei allen Sound-Treibern.

-benchmark
    Gibt am Ende einige Statistiken über die CPU-Auslastung und ausgelassene Frames aus. Zusammen mit -nosound und -vo null kann es benutzt werden, um den Videocodec einem Geschwindigkeitstest zu unterziehen.
    ANMERKUNG: Bei dieser Option ignoriert MPlayer die Abspieldauer eines Frames, wenn nur Video abgespielt wird (das kannst Du Dir als unendlich hohe Frame-Rate (fps) vorstellen).

-colorkey <Nummer>
    Ändert den Farbwert auf einen RGB-Wert deiner Wahl. 0x000000 ist schwarz und ist weiß. Wird nur von folgenden Videoausgabetreibern unterstützt: cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix und xover.

-nocolorkey
    Schaltet die Wahl des Farbwertes ab. Wird nur von folgenden Videoausgabetreibern unterstützt: cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix und xover.

-edl <Dateiname> (nur bei EDL)
    Aktiviert EDL-Aktionen (Edit Decision List) während der Wiedergabe. Teile des Videos werden übersprungen und Teile des Audios stummgeschaltet. Dazu wird die angegebene Datei ausgewertet. Lies DOCS/German/documentation.html#edl, dort stehen Details, wie du dieses Feature benutzen kannst.

-edlout <Dateiname> (nur bei EDL)
    Erstellt eine neue EDL-Datei und schreibt EDL-Markierungen in diese Datei. Während der Wiedergabe kann der Benutzer 'i' drücken, und ein Eintrag, um an der aktuellen Position zwei Sekunden des Video zu überspringen, wird in die Datei geschrieben. Damit erhält der Benutzer eine Ausgangsbasis, die er auf seine Bedürfnisse anpassen kann. Lies DOCS/German/documentation.html#edl, dort stehen Details, wie du dieses Feature benutzen kannst.

-enqueue (nur beim GUI)
    Hänge die auf der Kommandozeile angegebenen Dateien an die Playlist an, anstatt sie sofort abzuspielen.

-fixed-vo (BETA-CODE!)
    Erzwingt dasselbe Videosystem für mehrere Dateien (einmalige Initialisierung für alle Dateien). Dementsprechend wird für alle Dateien nur ein Fenster geöffnet. Momentan funktionieren die folgenden Treiber mit fixed-vo: gl2, mga, svga, x11, xmga, xv and xvidix.

-framedrop (siehe auch -hardframedrop)
    Verwirft einige Frames, ohne sie anzuzeigen, um auf langsamen Systemen die A/V-Syncronisation beizubehalten. Diese Frames werden dann auch nicht durch die Videofilter geschleust. B-Frames werden ebenfalls nicht dekodiert und Videofilter nicht benutzt.

-h, -help, --help
    Zeigt eine kurze Zusammenfassung der Optionen an.

-hardframedrop
    Noch rabiateres Verwerfen von Frames (verhindert evtl. korrektes Decodieren). Führt zu Bildstörungen!

-identify
    Zeit Dateiparameter in einem einfach einzulesenden Format an. Das Script TOOLS/midentify unterdrückt die anderen Ausgaben von MPlayer und führt (hoffentlich) Shellescaping für die Dateinamen aus.

-input <Kommandos>
    Diese Option kann benutzt werden, um bestimmte Teile von MPlayers Eingabesystem zu konfigurieren. Pfadangaben sind zu ~/.mplayer/ relativ.
    ANMERKUNG:
    Automatische Wiederholung wird momentan nur von Joysticks unterstützt.
    Die verfügbaren Kommandos lauten: Lies eine andere input.conf. Wenn kein Pfadname angegeben wird, dann wird ~/.mplayer/<Datei> angenommen. Zeit in Millisekunden, bevor ein Tastendruck automatisch wiederholt wird (0 dekativiert dies). Anzahl der Tastendrücke pro Sekunde bei automatisch wiederholten Tastendrücken (0 dekativiert dies). Zeigt alle Tastennamen an, die mit Kommandos belegt werden können. Zeigt alle Kommandos an, die zugewiesen werden können. Gibt das zu benutzende Joystickgerät an (standardmäßig /dev/input/js0). Liest Kommandos aus der angegeben Datei. Ist mit einem FIFO am sinnvollsten.
    ANMERKUNG: Falls die angegebene Datei ein FIFO ist, öffnet MPlayer beide Enden, so daß mehrere 'echo "seek 10" > mp_pipe' ausgeführt werden können und die Pipe in Ordnung bleibt.

-lircconf <Konfigurationsdatei> (nur bei LIRC)
    Gibt eine Konfigurationsdatei für LIRC (Standarddatei ~/.lircrc) an.

-list-options
    Gibt alle verfügbaren Optionen aus.

-loop <Anzahl>
    Wiederholt die Wiedgabe <Anzahl> mal. 0 bedeutet ständige Wiederholung.

-menu (nur bei OSD)
    Aktiviert das OSD-Menü.

-menu-cfg <Datei> (nur bei OSD)
    Benutzt eine andere menu.conf.

-menu-root <Wert> (nur bei OSD)
    Gibt das Hauptmenü an.

-nojoystick
    Schaltet die Joystickunterstützung aus.

-nolirc
    Schaltet Unterstützung für LIRC aus.

-nomouseinput (nur bei X11)
    Sperrt die Eingabe mittels Mausbuttons (Buttonpress/release), diese Option wird unter anderem von mozplayerxp verwendet, um ein eigenes Kontextmenü anzuzeigen.

-nortc (nur bei RTC)
    Deaktiviert die Benutzung der Echtzeituhr (real-time clock, RTC, /dev/rtc) zum Timing.

-playlist <Datei>
    Spielt die in der Datei angegebenen Dateien ab (eine Datei pro Zeile, oder eine Datei im Winamp- oder ASX-Format).
    Anmerkung: Diese Option wird als Eintrag gesehen, so daß alle Optionen danach nur auf die Elemente dieser Playlist angewendet werden.
    FIXME: Dies muß noch genauer angegeben und dokumentiert werden.

-really-quiet
    Zeigt noch weniger Statusmeldungen an als mit -quiet.

-rtc-device <Gerät>
    Benutze das angegebene Gerät als Echtzeituhr.

-shuffle
    Spielt die Dateien in zufälliger Reihenfolge ab.

-skin <Verzeichnisname> (nur beim GUI)
    Lädt eine Oberfläche (skin) aus dem Verzeichnis, das sich in einem der beiden Standardoberflächenverzeichnisse /usr/local/share/mplayer/Skin und/oder ~/.mplayer/Skin befindet (nicht den ganzen Pfad angeben!). BEISPIEL: Probiert zuerst /usr/local/share/mplayer/Skin/fittyfene und anschließend ~/.mplayer/Skin/fittyfene.

-slave (siehe auch -input)
    Diese Option aktiviert den Slave-Modus, der dazu gedacht ist, MPlayer von anderen Programmen aus zu steuern. Anstatt selber Tastatureingaben auszuwerten, liest MPlayer einfache Kommandos von stdin. Siehe DOCS/tech/slave.txt (englisch) und -input cmdlist für eine Liste der Befehle.

-softsleep
    Benutzt hochqualitative Softwaretimer, die genauso präzise wie die Echtzeituhr (RTC) sind, ohne dafür root-Privilegien zu benötigen. Der Preis dafür ist eine höhere CPU-Auslastung.

-speed <0.01-100>
    Erhöht oder verringert die Abspielgeschwindigkeit abhängig vom angegebenen Faktor.

-sstep <Sekunden>
    Zeigt einen Frame alle <Sekunden> Sekunden. Für Slideshows nützlich.

-use-stdin
    Standardinput (stdin) wird anstelle von Schlüssel-Events verwendet. Wenn du /dev/stdin (oder das Äquivalent auf deinem System) öffnest, stdin in einer Playlist öffnest, oder vorhast, irgendwann später von stdin via loadfile oder loadlist Slave-Kommandos einzulesen, dann brauchst du diese Option. Die Option -idx ist in diesem Falle nicht verfügbar.

DEMUXER/STREAM-OPTIONEN

-a52drc <Level>
    Gibt die Höhe der Dynamic Range Compression für den AC3 Audio Stream an. <Level> ist ein Fließkommawert im Bereich von 0 bis 1, wobei 0 keine Kompression und 1 (der Standardwert) volle Kompression bedeutet (laute Passagen werden leiser und umgekehrt). Diese Option zeigt nur Wirkung, wenn im AC3 Stream die Range Compression Information vorhanden ist.

-aid <id> (siehe auch -alang)
    Gibt die zu verwendende Audiospur an [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS: 17-8190]. MPlayer gibt alle verwendbaren IDs aus, wenn er im Verbose-Modus (-v) gestartet wird. Beim Abspielen eines MPEG-TS-Streams wählt MPlayer/MEncoder das erste Programm (falls vorhanden) mit der gewählten Audiospur.

-alang <zweibuchstabiger Ländercode> (siehe auch -aid) (nur bei DVD)
    Funktioniert nur bei DVD-Wiedergabe. Wählt die DVD-Audiosprache und versucht, die Audiospur abzuspielen, deren Ländercode dem angegebenen entspricht. MPlayer gibt alle vorhandenen Ländercodes aus, wenn er im Verbose-Modus (-v) gestartet wird. BEISPIEL: Wählt die ungarische Audiospur und zur Not die englische, falls keine ungarische Audiospur vorhanden ist.

-audio-demuxer <Nummer> (nur mit -audiofile)
    Erzwingt den Audiodemuxertyp für -audiofile. Alle in demuxers.h definierten Demuxer-IDs sind zulässig. Benutze -audio-demuxer 17, um eine Datei als MP3 abzuspielen.

-audiofile <Dateiname>
    Spielt Audio aus einer externen Datei (WAV, MP3 oder Ogg Vorbis) zu einem Film ab.

-audiofile-cache <kByte>
    Aktiviert das Cachen des von -audiofile benutzten Streams; benutzt dafür die angegebene Menge Speicher.

-bandwidth <Wert> (nur im Netzwerk)
    Gibt die maximal zu benutzende Bandbreite für Netzwerkstreaming an (bei Servern, die Streams in verschiedenen Bitraten senden können). Nützlich, wenn du Live-Streams über eine langsame Verbindung ansehen möchtest.

-cdrom-device <Pfad zum Gerät>
    Überschreibt den Standardwert für das CD-ROM-Gerät, /dev/cdrom.

-cache <kbytes>
    Diese Option gibt an, wieviel Speicher (in kbytes) MPlayer zum Precachen einer Datei/URL benutzt. Besonders für langsame Medien sinnvoll (Standard ist -nocache).

-cdda <Option1:Option2> (nur bei CDDA)
    Diese Option kann benutzt werden, um die CD-Audio-Auslesefeatures von MPlayer zu verfeinern. Vorhandene Optionen sind diese: setzt die CD-Umdrehungsgeschwindigkeit setzt den Paranoia-Wert 0: deaktiviert Fehlererkennung
    1: nur Überlappungstest (Standard)
    2: komplette Datenkorrektur und -überprüfung benutzt das angegebene generische SCSI-Gerät atomare Lesegröße Erzwingt eine minimal zu durchsuchende Überlappung bei der Datenüberprüfung von <Wert> Sektoren. Nimm an, dass der Startoffset von Spur 1, wie er in der TOC steht, als LBA 0 adressiert wird. Einige Toshiba-Laufwerke benötigen diese Option, um die Spurgrenzen richtig zu erkennen. Addiere <Wert> Sektoren zu den ermittelten Werten bei der Adressierung der Spuren. Kann negativ sein. Akzeptiere (niemals) nicht perfekte Datenrekonstruktion.

-channels <Anzahl>
    Ändere die Anzahl der wiederzugebenden Kanäle (Standard: 2, wenn nichts anderes angegeben wird). Wenn die Anzahl der Ausgabekanäle größer als die Anzahl der Eingangskanäle ist, dann werden leere Kanäle erzeugt (es sei denn, es wird von Mono zu Stereo erweitert - dann wird der Mono-Kanal auf beiden Kanälen wiederholt). Wenn die Anzahl der Eingangskanäle größer als die Anzahl der Ausgabekanäle ist, dann hängt das Ergebnis vom Audiodecoder (-afm) ab. MPlayer weist den Decoder an, den Ton in so viele Kanäle zu decodieren, wie angegeben wurde. Jetzt liegt es am Decoder, diese Anforderung zu erfüllen. Wenn der Decoder mehr Kanäle als angefordert ausgibt, so werden die überschüssigen Kanäle abgeschnitten. Das ist normalerweise nur dann wichtig, wenn Videos mit AC3-Audio abgespielt werden (wie z.B. DVDs). In diesem Fall decodiert normalerweise die liba52 den Ton und sorgt für einen korrekten Downmix des Audios auf die geforderte Anzahl von Kanälen.
    ANMERKUNG:
    Diese Option wird von den Codecs (nur AC3), den Filtern (Surround) und den ao-Treibern (zumindest von OSS) beachtet. Verfügbare Optionen sind: Stereo Surround volles 5.1

-chapter <Kapitel-ID>[-<Kapitel-ID des letzten Kapitels>] (nur bei DVD)
    Gibt das Kapitel an, ab dem abgespielt werden soll. Optional kann angegeben werden, nach welchem Kapitel mit dem Abspielen aufgehört werden soll (defaultmäßig 1). Unten stehen Beispiele.

-cookies (nur im Netzwerk)
    Sende Cookies bei HTTP-Anfragen.

-cookies-file <Dateiname) (nur im Netzwerk)
    Lies HTTP-Cookies aus dieser Datei. Es wird angenommen, daß die Datei im Netscape-Format vorliegt. Wenn Du diese Option benutzt, wird MPlayer nicht in den Verzeichnissen ~/.netscape/ und ~/.mozilla/ nach Cookies suchen.

-demuxer <Nummer>
    Erzwingt einen bestimmten Audiodemuxertyp. Alle in demuxers.h definierten Demuxer-IDs sind zulässig. Benutze -audio-demuxer 17, um eine Datei als MP3 abzuspielen.

-dumpaudio (nur MPlayer)
    Schreibt den unbehandelten, komprimierten Audiostream nach ./stream.dump (mit mpeg/AC3 nützlich).

-dumpfile <Dateiname> (nur MPlayer)
    Gibt den Dateinamen an, in den MPlayer schreiben soll. Sollte in Verbindung mit -dumpaudio / -dumpvideo / -dumpstream benutzt werden.

-dumpstream (nur MPlayer)
    Schreibt den unbehandelten Stream nach ./stream.dump. Nützlich, um DVD- oder Netzwerk-Streams zu rippen.

-dumpvideo (nur MPlayer)
    Schreibt den unbehandelten, komprimierten Videostream nach ./stream.dump (nicht sehr nützlich).

-dvbin <Optionen> (nur bei DVB)
    Übergibt die folgenden Parameter an das DVB-Inputmodul und überschreibt dabei die Standardeinstellungen: Benute Karte 1-4 (Standard: 1). Weist MPlayer an, die Liste der Kanäle aus <Datei> zu lesen. Standard ist ~/.mplayer/channels.conf.{sat,ter,cbl} (basierend auf dem Kartentyp) oder ~/.mplayer/channels.conf als letzte Möglichkeit.

-dvd-device <Pfad zum Gerät> (nur bei DVD)
    Überschreibt den Standardwert für das CD-ROM-Gerät, /dev/dvd an.

-dvdangle <Winkel-ID> (nur bei DVD)
    Einige DVDs beinhalten Szenen, die aus verschiedenen Perspektiven/Winkeln betrachtet werden können. Mit dieser Option kannst du MPlayer sagen, welche Perspektive er wiedergeben soll (Standard: 1). Unten stehen Beispiele.

-forceidx
    Erzwingt den Neubau des Index. Nützlich für Dateien mit defektem Index (Desynchronisation etc.). Spulen wird damit möglich. Mit MEncoder kann der Index permanent repariert werden (siehe Dokumentation).
    ANMERKUNG: Diese Option ist nur nutzbar, wenn das zugrundeliegende Medium spulen unterstützt (z.B. nicht bei Standardeingabe, Pipe usw.)

-fps <Wert>
    Überschreibt die Videobildrate (falls diese falsch ist oder im Header fehlt) (Fließkommazahl).

-frames <Anzahl>
    Nur die ersten <Anzahl> Bilder werden wiedergegeben/encodiert. Beendet sich danach.

-hr-mp3-seek (nur bei .MP3)
    Hi-res mp3-Spulen. Standardmäßig ist diese Option an, wenn ein externes MP3 abgespielt wird, da MPlayer an die exakte Position spulen muss, um die A/V-Sync zu erhalten. Kann langsam sein, vor allem dann, wenn zurückgespult wird, da dann erst zum Anfang gespult wird, um die genaue Stelle zu finden.

-idx (siehe auch -forceidx)
    Erstellt den Index neu, wenn bei einem AVI kein Index gefunden wurde, und ermöglicht somit Spulen. Nützlich bei defekten/unvollständigen Downloads oder bei schlecht erstellten Dateien.
    ANMERKUNG: Diese Option ist nur nutzbar, wenn das zugrundeliegende Medium spulen unterstützt (z.B. nicht bei Standardeingabe, Pipe usw.)

-ipv4-only-proxy (nur bei Netzwerk)
    Überspringt Proxy-Server bei IPv6-Adressen. Für IPv4-Verbindungen wird er aber benutzt.

-mc <Sekunden/Bild>
    Maximale A-V-Sync-Anpassung pro Bild (in Sekunden).

-mf <option1:option2:...>
    Wird benutzt, wenn mehrere PNG- oder JPEG-Dateien decodiert werden. Die verfügbaren Optionen lauten: Ausgabebreite (automatische Erkennung) Ausgabehöhe (automatische Erkennung) Frames pro Sekunde bei der Ausgabe (Standard: 25) Typ der Quelldateien (mögliche Typen sind jpeg, png, tga, sgi)

-ni (nur bei .AVI)
    Erzwingt die Benutzung des nicht-interleaved-AVI-Parsers (was die Wiedergabe einiger schlecht erstellter AVIs ermöglicht).

-nobps (nur bei .AVI)
    Benutze nicht die durchschnittlichen Bytes/Sekunde für A-V-Sync (AVI). Hilft bei einigen AVIs mit defektem Header.

-noextbased
    Deaktiviert die auf Dateinamenserweiterungen basierende Demultiplexerauswahl. Wenn der Dateityp (und damit der Demultiplexer) nicht zweifelsfrei festgestellt werden kann (z.B. wenn die Datei keinen Dateikopf besitzt oder dieser nicht eindeutig genug ist), dann wird normalerweise ein Demultiplexer anhand der Dateiendung gewählt. Die inhaltsbasierende Demultiplexerauswahl wird immer vorgenommen.

-passwd <Passwort> (siehe auch -user) (nur bei Netzwerk)
    Gibt das Passwort für die HTTP-Authentifizierung an.

-prefer-ipv4 (nur bei Netzwerk)
    Benutzt IPv4 bei Netzwerkverbindungen. Greift automatisch auf IPv6-Verbindungen zurück.

-prefer-ipv6 (nur bei IPv6-Netzwerk)
    Benutzt IPv6 bei Netzwerkverbindungen. Greift automatisch auf IPv4-Verbindungen zurück.

-rawaudio <option1:option2:...>
    Mit dieser Option können raw-Audiodateien abgespielt werden. Sie kann auch verwendet werden, um Audio-CDs abzuspielen, die nicht mit 44KHz 16Bit stereo aufgenommen wurden. Verfügbare Optionen: benutzt den nur-Audio-Demuxer Anzahl der Kanäle Rate in Samples pro Sekunde Sample-Größe in Byte FourCC in Hexadezimal

-rawvideo <option1:option2:...>
    Mit dieser Option kannst du Dateien abspielen, die nur aus Videodaten bestehen. Die verfügbaren Optionen lauten: benutze den nur-Video-Demuxer Anzahl der Bilder pro Sekunde, Standardwert: 25.0 setzt die Standardbildgröße Bildbreite in Pixeln Bildhöhe in Pixeln wählt den Farbraum gibt die FourCC des Farbraums in Hex an Bildgröße in Bytes

-rtsp-stream-over-tcp
    Kann zusammen mit 'rtsp://'-URLs verwendet werden, um anzugeben, dass die daraus resultierenden eingehenden RTP- und RTCP-Pakete per TCP übertragen werden (mit der gleichen TCP-Verbindung wie RTSP). Diese Option kann hilfreich sein, wenn deine Internetverbindung eingehende UDP-Pakete nicht durchlässt (siehe http://www.live.com/mplayer/).

-sb <Byte-Position> (siehe auch -ss)
    Springt an die Byte-Position. Nützlich beim Abspielen von CD-ROM-Abbildern / .VOB-Dateien mit Schrott am Anfang.

-srate <Hz>
    Erzwingt eine Audioabspielrate, wobei die Videogeschwindigkeit angepasst wird, um die A/V-Synchronisation beizubehalten. MEncoder übergibt diesen Wert an lame für's Resampling.

-ss <Zeit> (siehe auch bei -sb)
    Springt zu der angegebenen Zeitposition. BEISPIELE: springt zu 56 Sekunden springt zu 1 Stunde 10 Minuten

-tskeepbroken
    Sorgt dafür, daß Mplayer solche TS-Pakete, die als unbrauchbar markiert wurden, nicht ignoriert. Diese Option wird manchmal gebraucht, um korrupte MPEG-TS-Dateien abzuspielen.

-tsprog <1-65534>
    Beim Abspielen eines MPEG-TS-Streams kann mit dieser Option ausgewählt werden, welches Programm (falls vorhanden) abgespielt werden soll. Kann in Verbindung mit -vid und -aid benutzt werden.

-tsprobe <Byte-Position>
    Beim Abspielen eines MPEG-TS-Streams kannst du mit dieser Option auswählen, wieviele Bytes MPlayer nach den gewünschten Program-IDs durchsuchen soll.

-tv <Option1:Option2:...> (nur bei TV)
    Diese Option steuert verschiedene Einstellungen des TV-Empfang-Moduls. Um mit MPlayer fernzusehen, benutze die Optionen 'tv://' oder
    ANMERKUNG: MPlayer akzeptiert keine Doppelpunkte, benutze statt dessen also Punkte in der Geräte-ID (z.B. hw.0,0 anstelle von hw:0,0).
    Sei gewarnt, dass du zwar eine beliebige Samplerate angeben kannst, wenn du ALSA verwendest, der LAME-Audiocodec aber nur die 'Standard'-Sampleraten unterstützt. Du wirst ein .AVI ohne Sound erhalten, wenn du eine ungerade Samplerate bei diesem Codec wählst. Verfügbare Optionen: kein Sound mögliche Werte: dummy, v4l, v4l2, bsdbt848 Gibt ein anderes Videogerät als /dev/video0 an. Gibt einen anderen Eingang als den Standardeingang 0 (Television) an (such in der Ausgabe nach einer Liste) Gibt die Frequenz an, auf die der Tuner gesetzt wird (z.B. 511.250). Kann nicht zusammen mit 'channels' benutzt werden. Gibt das Ausgabeformat des Tuners mit einer Voreinstellung des V4L-Treibers (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) oder ein frei wählbares Format als hexadezimalen Wert an. Breite des Ausgabefensters Höhe des Ausgabefensters Bildanzahl, mit der Video aufgenommen wird (Bilder pro Sekunde, frames per second). Maximalgröße des Capture-Puffers in Megabytes (standardmäßig: dynamische Größe) mögliche Werte: PAL, SECAM, NTSC. Siehe normid-Option unten für V4L2. Siehe MPlayer-Output für eine Liste der verfügbaren TV-Normen. Setzt den Tuner auf Kanal <Wert>. Werte: europe-east, europe-west, us-bcast, us-cable, etc Setzt Namen für Kanäle. Benutze '_' anstelle von Leerzeichen bei Namen (oder spiel mit der Shellquotierung rum ;-). Die Sendernamen werden dann mit dem OSD angezeigt, und die Kommandos tv_step_channel, tv_set_channel und tv_last_channel werden dann z.B. mit einer Fernbedienung benutzbar sein (siehe LIRC). Kann nicht zusammen mit dem frequency-Parameter benutzt werden. Warnung: Die Sendernummer wird dann die Position des Eintrags in der Benutze also z.B. tv://1, tv://2, tv_set_channel 1, tv_set_channel 2, etc. Setzt Werte des Farb-Equaliziers der Karte. Setzt die Audiobitrate für's Capturen. Capture auch dann Audio, wenn v4l keine Audioquellen zurückmeldet. Benutze ALSA zum Capturen. Wählt einen Audiomodus: 0: mono
    1: stereo
    2: Sprache 1
    3: Sprache 2 Normalerweise wird die Anzahl der aufgenommenen Audiokanäle automatisch durch Ermitteln des Audiomodus der TV-Karte festgelegt. Mit dieser Option kann Mono/Stereo unabhängig von dem von V4L zurückgegebenen Audiomodus erzwungen werden. Kann benutzt werden, wenn die TV-Karte den aktuellen Audiomodus nicht zurückgeben kann. Setzt das Audiogerät. /dev/... für OSS
    Hardware-ID für ALSA Wählt einen Audioausgang der TV-Karte, wenn diese mehrere hat. Diese Optionen setzen Parameter des Mixers auf der Capture-Karte. Sie haben keinen Effekt, wenn deine Karte keinen Mixer hat. 0-65535 ist gültiger Bereich bei V4L1. Bei V4L2 geht der gültige Bereich von 0 bis 100, und 50 steht für den vom Treiber angegebenen Default-Wert. Ein Wert von 0 bedeutet: Nimm Audio und Video zusammen in einem Puffer auf (Standardwert für Mencoder). Ein Wert von 1 beduetet: Nimm nur Video direkt von der Karte und Audio über ein externes Kabel von der TV-Karte zur Soundkarte auf (Standardwert für MPlayer). Benutzte Hardware-mjpeg-Kompression (wenn dies die Karte unterstützt). Bei dieser Option mußt du Breite und Höhe des Ausgabefensters nicht angeben, denn MPlayer ermittelt diese Werte automatisch vom Dezimierungswert (siehe unten). Wählt die Bildgröße für die Hardware-mjpeg-Kompression: 1: volle Größe
        704x576 PAL
        704x480 NTSC
    2: mittlere Größe
        352x288 PAL
        352x240 NTSC
    4: kleine Größe
        176x144 PAL
        176x120 NTSC Wählt die Qualität der JPEG-Kompression.
    (Qualitätseinstellung < 60 für volle Größe empfohlen)

-user <Benutzername> (siehe auch -passwd) (nur bei Netzwerk)
    Gibt den Benutzernamen für die HTTP-Authentifizierung an.

-user-agent <Zeichenkette>
    Benutze Zeichenkette als User-Agent beim HTTP-Streaming.

-vid <id>
    Wählt die Videospur [MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190]. Beim Abspielen von MPEG-TS-Streams benutzt MPlayer/Mencoder das erste Programm (falls vorhanden) mit dem gewählten Video-Stream.

-vivo <sub-Optionen> (DEBUG-CODE)
    Erzwingt Audioparameter für den .vivo-Demuxer (nur für Debugging-Zwecke).

OSD-/UNTERTITEL-OPTIONEN
ANMERKUNG: Siehe auch -vf expand.

-dumpmicrodvdsub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das MicroDVD-Format. Erstellt eine Datei dumpsub.sub im aktuellen Verzeichnis.

-dumpmpsub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das MPlayer-Format MPsub. Erstellt eine Datei dump.mpsub im aktuellen Verzeichnis.

-dumpsrtsub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das zeitbasierende SubViewer-Format (SRT). Erstellt eine Datei dumpsub.srt im aktuellen Verzeichnis.

-dumpjacosub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das zeitbasierende JACOsub-Format. Erstellt eine Datei dumpsub.js im aktuellen Verzeichnis.

-dumpsami (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das zeitbasierende SAMI-Format. Erstellt eine Datei dumpsub.smi im aktuellen Verzeichnis.

-dumpsub (nur bei MPlayer) (BETA-CODE)
    Speichert den Untertitel-Substream eines VOB-Streams. Siehe auch -dump*sub und -vobsubout*.

-ifo <VOBsub IFO-Datei>
    Gibt die Datei an, aus der MPlayer die Palette und die Framegröße für VOBsub-Untertitel lädt.

-ffactor <Nummer>
    Resamplet die Alpha-Matrix der Schrift. Mögliche Werte: komplett weiße Schrift sehr dünner schwarzer Umriss (Standard) dünner schwarzer Umriss dicker schwarzer Umriss

-font <Pfad zur font.desc-Datei>
    Sucht nach den OSD-/Untertitelschriften in einem anderen Verzeichnis (Standard für normale Schriften: ~/.mplayer/font/font.desc, Standard für FreeType-Schriften: ~/.mplayer/subfont.ttf). ANMERKUNG:
    Bei FreeType gibt diese Option den Pfad zur Textschriftdatei an.
    Die -subfont-*-Optionen sind nur verfügbar, wenn FreeType eincompieliert wurde. Wenn die FreeType-Unterstützung aktiviert wurde, dann kann die alte Schriftunterstützung nicht mehr benutzt werden. BEISPIELE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-forcedsubsonly
    Nur "erzwungene" DVD-Untertitel in der z.B. mit -slang gewähten Sprache darstellen.

-noautosub
    Deaktiviert das automatische Laden von Untertiteln.

-overlapsub
    Aktiviert die Überlappung von Untertiteln bei allen Untertitelformaten.

-nooverlapsub
    Deaktiviert das Überlappen von Untertiteln. Normalerweise wird es bei bestimmten Formaten automatisch aktiviert.

-osdlevel <0-3> (nur bei MPlayer)
    Gibt den Modus an, in dem das OSD startet: nur Untertitel Lautstärkeleiste und Positionsanzeige (Standard) Lautstärkeleiste, Positionsanzeige und prozentuale Dateiposition Lautstärkeleiste, Positionsanzeige, prozentuale Dateiposition und Dateidauer
-sid <id> (siehe auch -slang)
    Aktiviert die Anzeige von DVD-Untertiteln. Du MUSST eine ID angeben, die einer DVD-Untertitelsprache entspricht (0-31). Eine Liste mit verfügbaren Untertiteln erhälst du bei der Verwendung der Option -v.
-slang <zweibuchstabiger Ländercode> (siehe auch -sid)
    Funktioniert nur bei DVD-Wiedergabe. Aktiviert/selektiert die Sprache der DVD-Untertitel. Eine Liste mit verfügbaren Untertiteln erhälst du bei der Verwendung der Option -v. BEISPIEL: Wählt ungarische Untertitel und verwendet die englischen Untertitel, wenn es keine ungarischen gibt.

-sub <Untertiteldatei>
    Benutzt diese Untertitel.

-sub-bg-alpha <0-255>
    Gibt an, wie transparent der Alphakanal bei Untertiteln und dem OSD ist. Große Werte bedeuten mehr Transparenz. Der Wert 0 ist eine Ausnahme und bedeutet 'vollständig transparent'.

-sub-bg-color <0-255>
    Gibt die Hintergrundfarbe für Untertitel und das OSD an. Momentan werden Untertitel nur in Graustufen dargestellt, sodass dieser Wert äquivalent zur Farbintensität ist. Der Wert 255 steht für weiß und 0 für schwarz.

-subcc
    Zeigt DVD-Closed-Caption-Untertitel an (CC). Diese sind KEINE VOB-Untertitel. Hierbei handelt es sich um spezielle ASCII-Untertitel für Hörgeschädigte, die in VOB-Userdatenstreams auf den meisten Region-1-DVDs zu finden sind. CC-Untertitel wurden bisher nicht auf DVDs für andere Regionen gefunden.

-subcp <Codepage>
    Wenn dein System iconv(3) unterstützt, so kannst du mit dieser Option die Codepage für die Untertitel angeben. BEISPIEL: -subcp latin2
    -subcp cp1250

-sub-demuxer <Nummer> (BETA-CODE)
    Erzwingt den Untertiteldemuxertyp für -subfile.

-subdelay <sek>
    Verzögert die Untertitel um <sek> Sekunden. Kann negativ sein.

-subfont-autoscale <0-3>
    Setzt den Modus für automatische Skalierung der Untertitel. ANMERKUNG:
    Null bedeutet, dass text-scale und osd-scale Schrifthöhen in Punkten sind.
    Der Modus kann folgende Werte annehmen: keine automatische Skalierung proportional zur Höhe des Films proportional zur Breite des Films proportional zur Diagonale des Films (Standard)

-subfont-blur <0-8>
    Setzt den Verwischradius für die Schriften (Standard: 2).

-subfont-encoding <Wert>
    Setzt die Schriftcodierung. Wenn 'unicode' angegeben wird, so werden alle Zeichen der Schriftdatei gerendert, und unicode wird benutzt werden (Standard: unicode).

-subfont-osd-scale <0-100>
    Setzt den Koeffizienten für die automatische Skalierung der OSD-Elemente (Standard: 6).

-subfont-outline <0-8>
    Setzt die Schriftumrissstärke (Standard: 2).

-subfont-text-scale <0-100>
    Setzt den Koeffizienten für die automatische Skalierung der Untertitel (prozentualer Anteil der Anzeigegröße) (Standard: 5).

-subfps <Rate>
    Gibt die Bilder/Sekunde-Rate der Untertitel an (Fließkommazahl). Standard ist die gleiche FPS wie der Film. ANMERKUNG:
    Funktioniert NUR bei bildbasierenden Untertitelformaten, NICHT mit z.B. MicroDVD.

-subfile <Dateiname> (BETA-CODE)
    Momentan nutzlos. Macht das gleiche für Untertitel, was -audiofile für Audio macht (OggDS?).

-subpos <0-100> (nützlich mit -vf expand)
    Gibt die Position der Untertitel auf dem Bildschirm an. Der Wert gibt die vertikale Position der Untertitel in % der Anzeigehöhe an.

-subalign <0-2>
    Gibt an, wie die Untertitel an subpos ausgerichtet werden. 0 bedeutet Ausrichtung oben (Standardverhalten), 1 bedeutet Ausrichtung in der Mitte, und 2 bedeutet Ausrichtung unten.

-subwidth <10-100>
    Gibt die maximale Breite der Untertitel an. Nützlich für Ausgabe auf dem Fernseher. Der Wert ist die Breite in Prozent der Bildschirmbreite.

-unicode
    Sagt MPlayer, dass er die Untertitel als UNICODE behandeln soll.

-utf8
    Sagt MPlayer, dass er die Untertitel als UTF8 behandeln soll.

-sub-no-text-pp
    Deaktiviert jegliche Textbearbeitung, die normalerweise nach dem Laden der Untertitel geschieht. Wird für's Debuggen benutzt.

-vobsub <VOBsub-Datei ohne Erweiterung>
    Gibt die VOBsub-Dateien an, die als Untertitel angezeigt werden sollen. Angegeben wird der volle Pfadname ohne Erweiterung, z.B. ohne '.idx', '.ifo' oder '.sub'.

-vobsubid <0-31>
    Gibt die ID für die VOBsubs an.

-spualign <-1-2>
    Gibt an, wie SPU-Untertitel (DVD/VOBsub) angeordnet werden. Es gelten die gleichen Werte wie bei -subpos, wobei -1 für die Originalposition steht.

-spuaa <Modus>
    Antialiasingmodus/Skalierungmodus für DVD/VOBsub. Ein Wert von 16 kann zum Modus hinzuaddiert werden, um die Skalierung auch dann zu erzwingen, wenn das Orignalbild und das skalierte Bild bereits die gleiche Größe haben, um z.B. auch dann die Untertitel mit einem Gaußschen Unschärfefilter zu bearbeiten. Die verfügbaren Modi lauten: nix (am schnellsten, sehr hässlich) Approximation (kaputt?) komplett (langsam) bilinear (Standard, schnell und nicht zu übel) benutzt Gaußsche Unschärfe des Softwareskalierers (sieht sehr gut aus)

-forcedsubsonly
    Display only "forced subtitles" for the DVD subtitle stream selected by e.g. -slang.

-spugauss <0.0-3.0>
    Varianzparameter der Gaußschen Unschärfe bei -spuaa 4. Höhere Werte stehen für mehr Unschärfe. Der Standardwert ist 1.0.

OPTIONEN FÜR DIE AUDIOAUSGABE (NUR BEI MPLAYER)

-abs <Wert> (VERALTET)
    Überschreibt die automatisch erkannte Puffergröße der Audiotreiber/-karte; nur mit -ao oss.

-af <plugin1[=options],plugin2,...>
    Aktiviert eine kommaseparierte Liste von Audiofiltern zusammen mit ihren Optionen.
    Die verfügbaren Filter lauten: Ändert die Samplerate des Audiostreams zu der ganzzahlen srate (in Hz). Unterstützt nur das 16bit Little-Endian-Format. Ändert die Anzahl der Kanäle in nch Ausgabekanäle. Falls die Anzahl Ausgabekanäle größer ist als die Anzahl Eingangskanäle, so werden leere Kanäle erzeugt (Ausnahme: Upmix von Mono auf Stereo. Hier wird der Monokanal auf beiden Ausgabekanälen wiederholt). Ist die Anzahl Ausgabekanäle kleiner als die Anzahl Eingangskanäle, so werden die überflüssigen Kanäle verworfen. Wählt das Format "f" und die Anzahl der Bits pro Sample, bps, für die Ausgabe der Filterschicht. Die Option bps ist eine ganze Zahl. Das Format f ist eine Zeichenkette, die das Format beschreibt und folgende Optionen enthalten kann:
    alaw, mulaw oder imaadpcm
    float oder int
    unsigned oder signed
    le oder be (little oder big endian)
    Wählt das Lautstärkelevel der Ausgabe. Der Filter ist nicht reentrant und kann dementsprechend nur einmal pro Audiostream aufgerufen werden. v: gewünschte Verstärkgun in dB für alle Kanäle in diesem Stream. Die Verstärkung kann zwischen -200dB und +40dB liegen, wobei -200dB den Sound komplett verstummen lässt und 1000dB einer 1000fachen Verstärkung entsprechend. Die Standardverstärkung ist -20dB.
    sc: Aktiviert "soft clipping". Mischt Kanäle beliebig. Details findest du in DOCS/sound.html. n: Anzahl der Ausgabekanäle (1 - 6).
    lij: gibt an, wieviel vom Quallkanal j in den Ausgabekanal i gemischt wird. Fügt einen Sub-woofer-Kanal hinzu. fc: ab dieser Frequenz schneidet der Tiefpassfilter ab (20Hz bis 300Hz, Standardwert ist 60Hz).
    ch: Anzahl der Sub-Kanäle. Decoder für matrix encodierten Surroundsound. Funktioniert bei vielen Zweikanaldateien. d: Verzögerung in ms für den hinteren Lautsprecher (0ms bis 1000ms, Standardwert ist 15ms). +.IPs delay[=ch1:ch2:...] Verzögert die Soundausgabe. Gibt für jeden Kanal einzeln die Verzögerung der Soundausgabe in ms an (Fließkommazahl zwischen 0 und 1000).
     um d Sekunden (Fließkommazahl).

-af-adv <force=(0-3):list=(filters)> (siehe auch -af)
    Gibt erweiterte Audiofilteroptionen an: Erzwingt das Einfügen von Audiofiltern nach folgenden Regeln: 0: Komplett automatisches Einfügen (Standard)
    1: für Geschwindigkeit optimiert
    2: für Genauigkeit optimiert
    3: kein automatisches Einfügen Das gleiche wie -af (siehe -af).

-ao <Treiber1[:Gerät],Treiber2,...[,]>
    Gibt eine Prioritätenliste für die zu benutzenden Audiotreiber (optional mit dem dazugehörigen Gerät) an. 'Gerät' ist auch mit SDL zulässig und gibt dann das Untergerät/den Untertreiber an. ANMERKUNG:
    Eine vollständige Liste der verfügbaren Audiotreiber erhälst du mit -ao help.
    Wenn die Liste mit ',' endet, so werden notfalls auch nicht aufgeführte Treiber benutzt. BEISPIEL: probiert zuerst, OSS mit den angegeben Geräten zu benutzen, und benutzt andere Treiber, falls diese nicht funktionieren. Gibt den SDL-Untertreiber an.

-aofile <Dateiname>
    Dateiname für -ao pcm.

-aop <list=Plugin1,Plugin2...:Option1=Wert1:opt2=Wert2...>
    Gibt die Audioplugins und ihre Optionen an (siehe auch in der Dokumentation).
    Verfügbare Optionen sind: Kommaseparierte Liste der Plugins (resample, surround, format, volume, extrastereo, volnorm) Beispiel-Plugin, benutze es nicht. Ausgabeformat (nur beim format-Plugin) Ausgabefrequenz (nur beim resample-Plugin) Lautstärke (nur beim volume-Plugin) Stereokoeffizient (standardmäßig 2.5) (nur beim extrastereo-Plugin) Compressor- / 'soft-clipping'-Einstellungen (nur beim volume-Plugin)

-delay <Sek>
    Audioverzögerung in Sekunden (Fließkommazahl, kann negativ sein).

-format <0-8192>
    Wählt das Ausgabeformat der Filterschicht. Die Formatnummer entspricht den in libao2/afmt.h definierten Werten. Mu-Law A-Law Ima-ADPCM Signed 8-bit Unsigned 8-bit Unsigned 16-bit (Little-Endian) Unsigned 16-bit (Big-Endian) Signed 16-bit (Little-Endian) Signed 16-bit (Big-Endian) MPEG (2) Audio AC3 Signed 32-bit (Little-Endian) Signed 32-bit (Big-Endian)

-mixer <Gerät>
    Teilt MPlayer das zu benutzende Mixergerät mit (Standard: /dev/mixer). Bei ALSA gibt dies den Mixer-Namen an.

-mixer-channel <Mixer-Anschluß> <nur bei -ao oss und -ao alsa)
    Bei dieser Option benutzt MPlayer zur Lautstärkeregulierung einen anderen Anschluß als die Standardeinstellung PCM. Optionen für OSS beinhalten vol, pcm, line. Für eine komplette Liste der Optionen suche nach SOUND_DEVICE_NAMES in der Datei /usr/include/linux/soundcard.h. Bei ALSA kannst du die Namen benutzen, die beispielsweise alsamixer anzeigt, wie Master, Line, PCM.

-nowaveheader (nur bei -ao pcm)
    Schreibe keinen Wave-Header in die Datei. Wird für RAW-PCM benutzt.

OPTIONEN FÜR DIE AUDIOAUSGABE (NUR BEI MPLAYER)

OPTIONEN FÜR DIE VIDEOAUSGABE (NUR BEI MPLAYER)

-aa* (nur bei -vo aa)
    Du bekommst eine Liste mit allen Optionen und ihren Erläuterungen mit mplayer -aahelp

-bpp <Farbtiefe>
    Benutze eine andere als die automatisch erkannte Farbtiefe. Nicht alle -vo-Treiber unstützen das (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Passt die Helligkeit der Videoausgabe an (Standard: 0). Ändert die Intensität der RGB-Komponenten des Videosignals von Schwarz zu Weiß.

-contrast <-100-100>
    Passt den Kontrast der Videoausgabe an (Standard: 0). Funktioniert so ähnlich wie bei der Helligkeit.

-dfbopts <Wert> (nur mit -vo directfb2)
    Gibt eine Parameterliste für den directfb-Treiber an.

-display <Name>
    Gibt den Rechnernamen und die Anzeigenummer des X-Servers an, auf dem die Anzeige erscheinen soll. BEISPIEL: -display xtest.localdomain:0

-double
    Aktiviert die Doppelpufferung. Vermeidet Flimmern dadurch, dass zwei Bilder im Speicher gehalten werden, von denen das eine angezeigt wird, während das andere noch decodiert wird. Kann das OSD beeinflussen. Braucht doppelt so viel Speicher wie Einfachpufferung und wird somit nicht mit Grafikkarten funktionieren, die nur über sehr wenig Speicher verfügen.

-dr Schaltet direktes Rendern an (wird nicht von allen Codecs und Videoausgabetreibern unterstützt) (srandardmäßig aus). Warnung: Kann zu Störungen beim OSD oder bei den Untertiteln führen!

-dxr2 <option1:option2:...>
    Mit dieser Option wird der dxr2-Treiber gesteuert. Anmerkung: Der lavc-Filter wird jetzt automatisch eingefügt, wenn ein Nicht-MPEG1/2-Film abgespielt wird, sodass alle von MPlayer unterstützten Formate sofort funktionieren sollten, wenn du genug CPU-Power hast, um in Echtzeit zu encodieren. Das Overlaychipset der dxr2 liefert eine ziemlich schlechte Qualität. Die Standardeinstellungen sollten andererseits bei jedem funktionieren. Das OSD funktioniert eventuell beim Overlay (beim TV nicht), indem es mit dem Colorkey angezeigt wird. Mit den Standardeinstellungen für den Colorkey wirst du variierende Effekte erleben. Normalerweise wirst du den Colorkey um die Buchstaben herum sehen könenn oder andere lustige Effekte sehen. Durch vernünftige Anpassung der Colorkey-Einstellungen solltest du aber in der Lage sein, akzeptable Ergebnisse zu erzielen. Modus für die Anpassung des Höhen-/Breitenverhältnisses (0 = normal, 1 = pan scan, 2 = letterbox (Standard)) iec958-Ausgabemodus Stummschalten der Soundausgabe Pfad zum Microcode
    TV-Ausgabe
schaltet 7.5 IRE an TV-Ausgabe in Schwarz/Weiß TV-Ausgabe in Farbe TV-Ausgabe ist interlaced Macrovision-Modus (0 = off (Standard), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) TV-Standard (ntsc (Stadard), pal,pal60,palm,paln,palnc) TV-Pixelmodus
    Overlay
Anpassung der Beschneidung beim Overlay Minimalwert für den color key Maximalwert für den color key Werte des color keys bentuze nicht den VGA-Cache Aktiviert den OSD-Hack mit dem Overlay Passt die Größe und Position des Overlays an, falls es nicht ganz den Fensterproportionen entspricht. Aktiviert das Overlay stellt das Overlay ein (standardäßig 1000) Erneuert den VGA-Cache

-fb <Gerät> (nur bei fbdev oder DirectFB)
    Gibt das zu benutzende Framebuffer-Gerät an. Standardmäßig wird /dev/fb0 verwendet.

-fbmode <Modusname> (nur bei fbdev)
    Wechselt in den angegebenen Videomodus, so wie er in /etc/fb.modes steht. ANMERKUNG:
    Der VESA-Framebuffer unterstützt den Auflösungswechsel nicht.

-fbmodeconfig <Dateiname> (nur bei fbdev)
    Benutze diese Konfigurationsdatei an Stelle von /etc/fb.modes. Nur zusammen mit dem fbdev-Treiber gültig.

-forcexv (nur bei SDL)
    Erzwingt die Benutzung von XVideo.

-fs Vollbildwiedergabe (zentriert den Film und erstellt schwarze Balken rund um das Bild). Schalte zwischen dem Vollbild- und dem Fenstermodus mit 'f' hin und her (nicht jeder Videoausgabetreiber unterstützt dieses). Siehe auch -zoom.

-fsmode-dontuse <0-31> (VERALTET) (benutze -fs)
    Benutze diese Option, wenn du mit dem Vollbildmodus Probleme hast.

-geometry x[%][:y[%]] oder [WxH][+x+y]
    Gibt an, wo die Videoausgabe initial erscheint. x und y sind Angaben in Pixeln und geben den Abstand von der rechten oberen Ecke des Bildschirms bis zur rechten oberen Ecke des darzustellenden Bildes an. Wenn Prozentwerte verwendet werden, dann wird statt dessen die prozentuale Bildschirmbreite/-höhe verwendet. Auch das bei der X-Standardoption -geometry verwendete Format wird unterstützt. Die Werte müssen ganze Zahlen sein. Anmerkung: Diese Option wird nur bei wenigen -vos unterstützt. Zu diesen gehören tdfxfb, bfdev und xv. BEISPIEL: Platziert das Fenster an x=50, y=40. Platziert das Fenster in der Mitte des Bildschirms. Platziert das Fenster in der linken oberen Ecke des Bildschirmes. Platziert das Fenster in der unten linken Ecke des Bildschirmes.

-hue <-100-100>
    Passt die Farbe des Videosignals an (Standard: 0). Du kannst mit dieser Option negative Farben erhalten.

-icelayer <0-15> (nur mit icewm)
    Gibt die Schicht an, die das Vollbildfenster von MPlayer bei icewm bekommt. Desktop darunter normal OnTop Dock AboveDock Menu (Standard)

-jpeg <option1:option2:...> (nur mit -vo jpeg)
    Gibt Optionen für die JPEG-Ausgabe an.
    Verfügbare Optionen sind: Standard-JPEG oder progressives JPEG Benutze eine baseline (oder auch nicht). Optimierungswert [0-100] Glättungsfaktor [0-100] Qualitätsfaktor [0-100] Verzeichnis, in dem die JPEG-Bilder gespeichert werden.

-monitor-dotclock <dotclock- (oder pixelclock-)Bereich> (nur bei fbdev und vesa)
    Lies etc/example.conf und DOCS/video.html für weitere Erklärungen.

-monitor-hfreq <Bereich der Horizontalfrequenz> (nur bei fbdev und vesa)

-monitor-vfreq <Bereich der Vertikalfrequenz> (nue bei fbdev und vesa)

-monitoraspect <Verhältnis>
    Gibt das Höhen-/Breitenverhältnis deines Monitors oder Fernsehers an. Siehe auch -aspect, das das Verhältnis des Films angibt. BEISPIEL: -monitoraspect 4:3 oder 1.3333
    -monitoraspect 16:9 oder 1.7777

-nograbpointer
    Kontrolliert nach Wechsel des Videomodus (mit -vm) den Mauszeiger nicht. Nützlich bei Multihead-Systemen.

-nokeepaspect
    Erhalte beim Ändern der Fenstergröße unter X11 nicht das Höhen-/Breitenverhältnis (funktioniert momentan nur mit -vo x11, xv, xmga, und xvidix. Außerdem muss dein Windowmanager 'window aspect hints' verstehen.). -noslices Deaktiviert die Darstellung mit 16 Pixel hohen Abschnitten/Bändern und baut das ganze Bild in einem Rutsch auf. Kann - in Abhängigkeit von der Grafikkarte/dem Cache - langsamer oder schneller sein. Hat nur mit libmpeg2 und den libavcodec-Codecs einen Effekt.

-panscan <0.0-1.0>
    Aktiviert Pan & Scan. Dabei werden z.B. bei einem 16:9-Film und einem 4:3-Monitor die Seiten abgeschnitten, damit der komplette Bildbereich ausgefüllt wird. Dieses funktioniert nur mit den xv-, xmga-, mga- und xvidix-Treibern.
    Der Wert gibt an, wieviel des Bildes weggeschnitten werden soll.

-rootwin
    Zeigt den Film im Root-Fenster (dem Desktophintergrund) an, anstatt ein neues Fenster zu öffnen. Funktioniert nur mit den x11-, xv-, xmga- und xvidix-Treibern.

-saturation <-100-100>
    Passt die Sättigung der Videoausgabe an (Standard: 0). Mit dieser Option kannst du ein Graustufenbild erhalten.

-screenw <Pixel> -screenh <Pixel>
    Wenn du einen Ausgabetreiber verwendest, der nichts über die Bildschirmauflösung weiß (fbdev/x11 und/oder TV-Ausgang), dann kannst du hiermit die horizontale und vertikale Auflösung angeben.

-stop-xscreensaver
    Deaktiviert den Bildschirmschoner beim Start von MPlayer und aktiviert ihn beim Beenden wieder.

-vm Versucht, in einen besser passenden Videomodus zu wechseln. dga, x11/xv (XF86VidMode) und sdl unterstützen -vm.

-vo <Treiber1[:Gerät],Treiber2,...[,]>
    Gibt eine Prioritätenliste der zu verwendenden Videoausgabetreiber (optional mit ihren Geräten) an. 'Gerät' ist auch mit SDL und GGI gültig und gibt dort den Untertreiber an. ANMERKUNG:
    Mit -vo help bekommst du eine vollständige Liste aller vorhandener Treiber.
    Wenn die Liste mit ',' endet, so werden auch andere Treiber ausprobiert, falls die aufgelisteten nicht funktionieren. BEISPIEL: Probiert zuerst den Matrox-Kerneltreiber, dann den Xv-Treiber, dann andere.
    gibt den SDL-Untertreiber an.

-vsync
    Aktiviert VBI für VESA.

-wid <Fenster-ID>
    Gibt MPlayer das zu benutzende Fenster an, was z.B. nützlich ist, um MPlayer aus einem Browser heraus aufzurufen (z.B. mit plugger).

-xineramascreen <0-...>
    Bei Xinerama-Konfigurationen (z.B. bei einem einzigen Desktop, der sich über mehrere Monitore erstreckt) gibt diese Option an, auf welchem Schirm das Video angezeigt werden soll.

-z <0-9>
    Gibt die Kompressionsstufe bei der PNG-Ausgabe (-vo png) an. keine Kompression maximale Kompression

-zrbw (nur bei -vo zr)
    Schwarz/Weiß-Modus. Um die maximale Performance zu erreichen, kann diese Option mit der Option 'decode only in black and white' für zur FFmpeg-Familie gehörende Codecs kombiniert werden.

-zrcrop <[Breite]x[höhe]+[x offset]+[y offset]> (nur bei -vo zr)
    Wählt den anzuzeigenden Teilausschnitt des Bildes. Wird diese Option mehrmals angegeben, so aktiviert sie den Cinerama-Modus. Im Cinerama-Modus wird der Film auf mehr als einen Fernseher (oder Beamer) verteilt, um insgesamt eine größere Anzeigefläche zu erhalten. Optionen, die nach dem n-ten -zrcrop erscheinen, gelten für die n-te MJPEG-Karte. Für jede Karte sollte zusätzlich zu -zrcrop ein -zrdev angegeben werden. Beispiele befinden sich in der Zr-Sektion der Dokumentation oder in der Ausgabe von -zrhelp.

-zrdev <Gerät> (nur bei -vo zr)
    Gibt die zu deiner MJPEG-Karte gehörende Gerätedatei an. Standardmäßig verwendet der Treiber das erste v4l-Gerät, das er findet.

-zrfd (nur bei -vo zr)
    Erzwungene Dezimierung: Dezimierung, wie mit -zrhdec und -zrvdec angegeben, wird nur angewandt, wenn der Hardwareskalierer das Bild wieder auf seine ursprüngliche Größe ausdehnen kann. Mit dieser Option wird die Dezimierung erzwungen.

-zrhelp (nur bei -vo zr)
    Zeigt eine Liste aller -zr*-Optionen, ihre Standardwerte und ein Beispiel für den Cinerama-Modus an.

-zrnorm <norm> (nur bei -vo zr)
    Gibt den Fernsehstandard PAL oder NTSC an. Standardwert ist 'keine Änderung'.

-zrquality <1-20> (nur bei -vo zr)
    Die Nummer gibt die JPEG-Codierungsqualität an. 1 entspricht bester Qualität und 20 der schlechtesten Qualität.

-zrvdec <1,2,4> -zrhdec <1,2,4> (nur bei -vo zr)
    Vertikale/horizontale Dezimierung: Weist den Treiber an, nur jede zweite oder vierte Zeile bzw. Spalte des Bildes an die MJPEG-Karte zu schicken und den Hardwareskalierer der MJPEG-Karte dazu zu benutzen, das Bild wieder auf seine Urpsrungsgröße auszudehnen.

-zrxdoff <x display offset>, -zrydoff <y display offset> (nur bei -vo zr)
    Wenn das Bild kleiner als der Fernsehbildschirm ist, so wird mit diesen Optionen die Bildposition relativ zur oberen linken Ecke des Fernsehers kontrolliert. Standardmäßig erscheint das Bild zentriert.

OPTIONEN FÜR DIE DECODIERUNG/DAS FILTERN

-ac <[-]codec1,[-]codec2,...[,]>
    Gibt eine Prioritätsliste der zu verwendenden Audiocdoecs an. Die Codecnamen entsprechen den in codecs.conf definierten Einträgen. Ein '-' vor einem Namen deaktiviert diesen Codec. ANMERKUNG:
    Mit -ac help erhälst du eine vollständige Liste aller verfügbaren Codecs.
    Wenn die Liste mit ',' endet, so werden notfalls auch nicht aufgeführte Codecs ausprobiert. BEISPIEL: Erzwingt dem l3codeca.acm-MP3-Codec. Probiert zuerst die libmad und dann andere Codecs. Zuerst wird versucht, AC3 unverändert durchzureichen, dann die Software-AC3-Decodierung, danach andere Codecs. Probier andere Codecs bis auf dem MP3-Decoder von FFmpeg.

-afm <Treiber1,Treiber2,...>
    Gibt eine Prioritätsliste der zu verwendenden Audiocodecfamilien an, so wie sie in codecs.conf definiert wurden. Wenn keine der angegebenen Familien benutzt werden kann, so werden die Standardcodecs verwendet. ANMERKUNG:
    Mit -afm help erhälst du eine Liste aller verfügbaren Treiber. BEISPIEL: Probiert zuerst die Codecs von FFmpegs libavcodec (mp1/2/3). Probiert zuerst die Win32-Codecs.

-aspect <Verhältnis>
    Überschreibt das Höhen-/Breitenverhältnis des Films. Bei MPEG-Dateien wird das Verhältnis automatisch erkannt. Bei den meisten AVI-Dateien kann es nicht automatisch erkannt werden. BEISPIEL: -aspect 4:3 oder -aspect 1.3333
    -aspect 16:9 oder -aspect 1.7777

-flip
    Stellt das Bild auf den Kopf.

-lavdopts <option1:option2:...> (DEBUG-CODE)
    Wenn zur Decodierung ein Codec der libavcodec eingsetzt werden kann, so werden seine Parameter mit dieser Option angegeben. BEISPIEL: -lavdopts bug=1
ANMERKUNG:
Gib nur bei denjenigen Optionen Werte an, die du auch wirklich anschalten möchtest.
Verfügbare Optionen sind: Verbergen von Fehlern: 1: benutze einen starken Deblock-Filter bei beschädigten Macroblöcken (MBs)
2: iterative MotionVector-Suche (MV, langsam)
3: alles (Standard) Fehlerbehandlung:
0: deaktiviert
1: vorsichtig (sollte bei den meisten kaputten Encodern funktionieren)
2: normal (Standard) (funktioniert mit den meisten konformen Encodern)
3: agressiv (mehr Überprüfungen, die aber selbst bei konformen Daten Fehler liefern können)
4: sehr agressiv manuelle Umgehung von Fehlern der Encoder: 0: keine
1: automatische Fehlererkennung (Standard)
2 (msmpeg4v3): einige alte mite lavc erstellte msmpeg4v3-Dateien (werden nicht automatisch erkannt)
4 (mpeg4): XviD-Interlacing-Fehler (wird bei einer FourCC von XVIX automatisch erkannt)
8 (mpeg4): UMP4 (wird bei einer FourCC von UMP4 automatisch erkannt)
16 (mpeg4): Padding-Fehler
32 (mpeg4): "illegal vlc"-Fehler (je nach FourCC automatisch erkannt)
64 (mpeg4): XviD und DivX qpel-Fehler (wird automatisch erkannt) (siehe lavcopts) Decodierung nur mit Graustufen (was ein bischen schneller als mit Farbe ist)

-noaspect
    Deaktiviert die automatische Anpassung des Höhen-/Breitenverhältnisses.

-nosound
    Spielt keinen Sound ab bzw. encodiert keinen Sound.

-pp <Qualität> (siehe auch -vf pp)
    Setzt das Level der Nachbearbeitung der DLL. Diese Option kann NICHT MEHR für MPlayers Nachbearbeitungsfilter verwendet werden, sondern nur noch für diejnigen Win32-DirectShow-DLLs, die eigene interne Nachbearbeitungsroutinen mitbringen. Der gültige Wertebereich für -pp hängt vom Codec ab, ist meistens aber 0-6, wobei 0=deaktiviert und 6=langsamster/bester Modus bedeutet.

-pphelp (siehe auch -vf pp)
    Zeigt eine Zusammenfassung der vorhandenen Nachbearbeitungsfilter und Nutzungshinweise an.

-ssf <Modus>
    Wählt den Modus für den Softwareskalierer. BEISPIEL: -vf scale -ssf lgb=3.0
Gaußscher Unschärfefilter (beim Helligkeitsanteil) Gaußscher Unschärfefilter (beim Farbanteil) Schärfefilter (beim Helligkeitsanteil) Schärfefilter (beim Farbanteil) Horizontale Verschiebung des Farbanteils Vertikale Verschiebung des Farbanteils

-stereo <Modus>
    Wählt den Tpy der MP2/MP3-Stereoausgabe. Stereo Linker Kanal Rechter Kanal

-sws <Typ des Softwareskalierers> (siehe auch -vf scale)
    Mit dieser Option wird die Qualität (und damit auch die Geschwindigkeit) des Softwareskalierers gewählt, der bei -zoom zum Einsatz kommt. Dieser wird beispielsweise bei x11 oder anderen Videotreibern benutzt, die keine Hardwarebeschleunigung bieten. Mögliche Werte sind: ANMERKUNG:
    Für -sws 2 und 7 kann die Schärfe mit dem Skalierungsparameter (p) des Skalierungsfilters (-vf scale (0 (weich) - 100 (scharf))) gesetzt werden. Bei -sws 9 gibt dieser Parameter dagegen die Filterlänge an (1 - 10). fast bilinear (Standard) bilinear bicubic (gute Qualität) experimental nearest neighbour (schlechte Qualität) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]codec1,[-]codec2,...[,]>
    Gibt eine Prioritätsliste der zu verwendenden Videocodecs an, so wie sie in codecs.conf definiert werden. Ein '-' vor dem Codecnamen deaktiviert diesen Codec. ANMERKUNG:
    Mit -vc help wird eine vollständige Liste der verfügbaren Codecs ausgegben.
    Wenn die Liste mit ',' endet, dann werden notfalls auch nicht aufgeführte Codecs benutzt. BEISPIEL: Erzwingt den Win32/VFW DivX-Codec; andere werden nicht ausprobiert. Probiet zuerst den divx4-Codec oder andere, wenn dieser nicht funktioniert. Probiert alle Codecs außer den Win32-DivX-Codecs. Probiert zuerst libavcodecs MPEG1/2-Codec, gefolgt von libmpeg2, und dann erst andere.

-vf <filter1[=options],filter2,...>
    Aktiviert eine kommaseparierte Liste von Videofiltern zusammen mit ihren Optionen. ANMERKUNG:
    Parameter sind optional und werden teilweise mit Standardwerten belegt, wenn sie weggelassen werden. Mit -1 werden die Standardwerte beibehalten. Die Parameter w:h bedeuten Breite (width) und Höhe (height); x:y bedeutet die x;y-Position relativ zur linken oberen Ecke des größeren Bildes.
    Eine vollständige Liste aller verfügbaren Plugins liefert -vf help.
    Die folgenden Filter sind verfügbar: Schneidet den angegeben Teil des Bildes aus und verwirft den Rest. Nützlich, um schwarze Balken bei Widescreen-Filmen zu entfernen. Berechnet die Schneideparameter für den crop-Filter und gibt diese pro Bild einmal auf stdout aus. Der Schwellwert kann optional angegeben werden und geht von 0 (nichts) bis hin zu 255 (alles) (Standard: 24). Zeichnet ein Rechteck mit der gewünschten Breite/Höhe an den angegebenen Koordinaten auf das Bild. Kann benutzt werden, um die Parameter für den crop-Filter zu testen (Standard: maximale Breite/Höhe, x/y liegen oben links). Vergrößert das Bild (KEINE Skalierung) auf die angegebene Größe und platziert das unskalierte Originalbild an die Koordinaten x/y. Neegative Werte für w und h werden als Offsets bezüglich der Orignalgröße interpretiert. Beispielsweise fügt expand=0:-50:0:0 einen 50 Pixel hohen schwarzen Balken unterhalb des Bildes hinzu. Kann benutzt werden, um die Platzierung des OSD/der Untertitel auf schwarzen Balken zu erreichen (Standard: Originalhöhe/-breite, zentriertes Bild). Der letzte Parameter (de)aktiviert das OSD (Standard: 0 = deaktiviert). Stellt das Bild auf den Kopf. Siehe auch -flip. Spiegelt das Bild an der Y-Achse. Dreht das Bild um +/- 90 Grad (und stellt es optional auf den Kopf). Bei 4-7 wird das Bild nur dann gedreht, wenn es vorher hochkant steht (es also höher als breit ist). Skaliert das Bild mit dem Softwareskalierer (langsam) und führt eine Farbraumkonvertierung zwischen YUV und RGB durch (siehe auch -sws). Der Wert 0 wird für skaliertes Ziel-Höhen-/Breitenverhältnis (Standard: Originalverhältnis, Zielverhältnis mit -zoom). Optional können "chroma skipping" (c zwischen 0 und 3) und Skalierungsparameter angegeben werden (siehe -sws). Erzwingt YV12/I420 oder 422P zu YUY2 Konvertierung in Software. Farbraumkonvertierung RGB 24/32 <-> BGR 24/32 mit optionaler Vertauschung von R und B. Farbraumkonvertierung RGB/BGR 8 -> 15/16/24/32bpp unter Verwendung einer Farbpalette. Beschränkt den Farbraum des nächsten Filters. Führt keine Farbraumkonvertierung durch. Benutze ihn zusammen mit dem scale-Filter, um tatsächlich eine Konvertierung durchzuführen. Diese Option aktiviert die Benutzung von MPlayers internen Nachbearbeitungsfilter. Außerdem ist dieses die Schnittstelle, um an die Filter Parameter zu übergeben. Eine Liste mit allen vorhandenen Filtern erhälst du mit -pphelp.
    Beachte, dass Unterfilter mit einem '/'-Zeichen voneinander getrennt werden.
    Jeder Filter arbeitet normalerweise im Farbbereich ('c', chrominance).
    Mit einem vorangestellten '-' kann eine Option deaktiviert werden.
    Mit einen ':' und einem folgenden Buchstaben hinter der Option kann angegeben werden, wann/wie der Filter arbeitet: a: Schaltet den Filter automatisch aus, wenn die CPU zu langsam ist.
    c: Filtert den Farbanteil (chrominance).
    y: Filtere nicht den Farbanteil, sondern nur den Helligkeitsanteil (luminance).
    BEISPIELE:
-vf pp=hb/vb/dr/al/lb
-vf pp=hb/vb/dr/al
Standardfilter mit Helligkeits-/Kontrastkorrektur:
-vf pp=de/-al
Aktiviert die Standardfilter und den zeitlichen Rauschunterdrücker:
-vf pp=de/tn:1:2:3
Entfernt Blockartefakte horizontal im Helligkeitsbereich und abhängig von der CPU-Auslastung auch vertikal:
-vf pp=hb:y/vb:a -autoq 6 Echtzeit-MPEG1-Encoder für DVB/DXR3 (libavcodec) Echtzeit-MPEG1-Encoder für DVB/DXR3 (fame) Wählt die optimale Skalierung für DVB-Karten (Verhältnis = DVB_HEIGHT*HÖHEN-/BREITENVERHÄLTNIS, Standard: 768) Fügt Rauschen hinzu <0-100>: Helligkeitsrauschen
<0-100>: Farbrauschen
u: gleichförmiges Rauschen
t: zeitliches Rauschen
a: gleichverteiltes zeitliches Rauschen
h: hohe Qualität
p: Mische Rauschen mit einem (halbwegs) gleichmäßigen Muster Dieser Filter versucht, Bildrauschen zu unterdrücken und so bewegungslose Bilder wirklich statisch zu machen (was das Bild besser komprimierbar macht). Ihm können bis zu drei Parameter übergeben werden. Wenn du einen Parameter auslässt, so werden vernünftige Standardwerte angenommen.
Helligkeit:    räumliche Helligkeitsstärke (standard = 4)
Farbe:            räumliche Farbstärke (standard = 3)
Zeit:            zeitliche Stärke (standard = 6)
Aktiviert den Softwareequalizer mit interaktiver Kontrolle wie der Hardware-EQ-Kontrolle. Die Werte können zwischen -100 und 100 liegen. Alternativer Softwareequalizer, der Lookup-Tabellen benutzt (sehr langsam). Er erlaubt neben simpler Anpassung der Helligkeit, des Kontrastes und der Sättigung auch eine Gammakorrektur. Der Parameter weight kann verwendet werden, um die Wirkung hoher gamma Werte auf helle Bildbereiche zu reduzieren, sie also davon abzuhalten zu übersteuern und ganz weiss zu werden. Bei 0.0 hat die Gammakorrektur gar keinen Effekt mehr, bei 1.0 hat sie die volle Stärke. Beachte, dass er den gleichen MMX-optimierten Code benutzt wie der eq-Filter, wenn alle Gammawerte 1.0 betragen! Die Parameter werden als Fließkommazahlen angegeben. Standardwerte sind gamma=1.0, Kontrast=1.0, und Helligkeit=0.0, Sättigung=1.0 und weight=1.0. Die Parameter rg, gg, bg sind unabhängige Gammawerte für die einzelnen Farbkomponenten Rot, Grün und Blau. Alle drei sind standardmäßig auf 1.0. Die Wertebereiche betragen 0.1-10 für gamma, -2-2 für Kontrast (negative Werte invertieren das Bild), -1-1 für die Helligkeit, 0-3 für die Sättigung und 0-1 für weight. Konvertiert planaeres YUV 4:2:0 in halbhohes, gepacktes 4:2:2, wobei die Helligkeit runtergesamplet und der Farbanteil beibehalten wird. Nützlich bei Ausgaben auf Geräte mit niedriger Auflösung, bei denen die Hardwareskalierung schlechte Qualität liefert oder nicht verfügbar ist. Kann auch als primitiver Deinterlacer benutzt werden, der nur auf dem Helligkeitsanteil arbeitet und sehr wenig CPU-Leistung erfordert. Standardmäßig bildet halfpack den Durchschnitt mehrer Zeilen beim Downsampling. Der optionale Parameter f steuert, welche Zeilen erhalten bleiben: bei 0 nur die geraden, bei 1 nur die ungeraden. Andere Werte für f aktivieren das Standardverhalten (Durchschnittsbildung). Erkennt interlaced Bilder im Videostream und verwirft jeweils das erste. Die Werte können zwischen 0.0 und 1.0 liegen. Der erste Wert (Standard: 0.1) ist die relative Differenz zwischen benachbarten Pixeln. Der zweite Wert (Standard: 0.15) gibt an, wieviel des Bildes als interlaced erkannt werden muss, damit das Bild verworfen wird. Benutzt den Deinterlace-Filter von libavcodec. Unschärfefilter / Gaußscher Weichzeichner l: Effektanwendung beim Helligkeitsanteil
c: Effektanwendung beim Farbanteil
WxH: Breite und Höhe (width, height) der Matrix, die in beide Richtungen ungerade sein muss (min = 3x3, max = 13x11 oder 11x13, normalerweise zwischen 3x3 und 7x7).
Menge: relative "Menge" der Schärfe / Unschärfe, die dem Bild hinzugefügt wird (Menge < 0 = Unschärfe, Menge > 0 = Schärfe, normalerweise zwischen -1.5 und 1.5). Vertauscht die U- und V-Anteile (de)interleavet Zeilen Das Ziel dieses Filters ist es, die Bearbeitung von interlaced Bildern zu ermöglichen, ohne sie vorher zu deinterlacen. Du kannst eine interlaced DVD filtern und am Fernseher ausgeben, ohne das Interlacing zu entfernen. Die meisten Filter deinterlacen permanent (smoothing averaging etc). Dieser Filter hingegen teilt das Bild in zwei Felder auf (sogenannte Halbbilder), sodass diese unabhängig voneinander gefiltert und wieder interleavet werden können. d: deinterleave, entschachteln
i: interleave, verschachteln
s: vertausche die Felder (die ungerade und geraden Zeilen) Extrahiert ein einzelnes Feld eines interlaceten Bildes mit Stridearithmetic, um Verschwendung von CPU-Zeit zu vermeiden. Der optionale Parameter n gibt an, ob das gerade oder ungerade Feld extrahiert wird (abhängig davon, ob n selber gerade oder ungerade ist). Kastenunschärfe (?) Radius: Größe des Filters
Stärke: wie oft der Filter angewandt wird shape adaptive blur Radius: Stärke des Glättungsfilters (~0.1-4.0) (je größer desto langsamer)
pfilter: prefilter-Stärke (~0.1-2.0)
cDiff: wie ungleich Pixel maximal sein dürfen, um noch benutzt zu werden (~0.1-100.0) smart blur Radius: Stärke des Glättungsfilters (~0.1-5.0) (je größer desto langsamer)
Stärke: glätten (0.0-1.0) oder schärfen (-1.0-0.0)
thresh: filtere alles (0), filtere nur gleichförmige Beriche (0-30) oder filtere nur Kanten (-30-0) perspektivische Korrektur x0,y0,...: Koordinaten der Ecken links oben, rechts oben, links unten, rechts unten
t: linear (0) oder cubic resampling (1) Benutzt den 2x-Skalier- und Interpolationsalgorithmus für die Skalierung und Glättung des Bildes. Konvertierung von 1bpp-Bitmaps nach YUV/BGR 8/15/16/32 Liest Bitmaps von einem FIFO und zeigt sie im Fenster an. hidden: setzt den Standardwert des 'hidden'-Flag (Boolean)
opaque: schaltet zwischen Alphablending (transparent) und opaque (schnell) um
fifo: Pfad und Dateiname des FIFOs (eine named pipe, die mplayer -vf bmovl mit der kontrollierenden Anwendung verknüpft)
    FIFO-Kommandos:
RGBA32 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*4 Bytes RGBA32-Daten. ABGR32 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*4 Bytes ABGR32-Daten. RGB24 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*3 Bytes RGB32-Daten. BGR24 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*3 bytes BGR32-Daten. ALPHA Breite Höhe xpos ypos alpha
ändert Alpha für den Bereich CLEAR Breite Höhe xpos ypos
löscht den Bereich OPAQUE
deaktiviert die Alphatransparenz. Schicke "ALPHA 0 0 0 0 0", um sie wieder zu aktivieren. HIDE
versteckt die Bitmap SHOW
zeigt die Bitmap an
    Argumente:
Breite, Höhe: Größe des Bildes/Bereiches.
xpos, ypos: fange an Position X/Y an
alpha: setzt die Alphadifferenz. 0 bedeutet gleich wie beim Quellbild, 255 keine Transparenz, -255 komplett transparent. Wenn du den Wert auf -255 setzt, dann kannst du mit einer Sequenz von ALPHA-Kommandos den Bereich auf -225, -200, -175 etc setzen, um einen netten Fade-In-Effekt zu erzielen ;)
clear: löscht den Framebuffer vor dem Blitten. 1 beduetet löschen. Bei 0 wird das Bild einfach auf das vorhandene geschrieben, sodass du nicht immer 1,8MB RGBA32-Daten schicken musst, wenn sich nur ein kleiner Teil des Bildschirms ändert.

-vfm <Treiber1,Treiber2,...>
    Gibt eine Prioritätsliste der zu verwendenden Videocodecfamilien an, so wie sie in codecs.conf definiert werden. Wenn keiner davon funktioniert, werden die Standardfamilien ausprobiert. ANMERKUNG:
    Falls MPlayer mit Unterstützung für libdivxdecore compiert wurde, dann verwenden odivx und divx4 den gleichen DivX4-Codec, benutzen aber ein unterschiedliches API. Unterschiede und Anmerkungen, wann welcher der beiden benutzt werden sollte, befinden sich in der DivX4-Sektion der Dokumentation.
    Mit -vfm help wird eine vollständige Liste der verfügbaren Treiber ausgegeben. BEISPIEL: Probiert zuerst libavcodec, dann DirectShow, dann die VfW-Codecs und schließlich andere, falls keine der Familien funktioniert hat. Probiert zuerst die XAnim-Codecs.

-x <x> (nur bei MPlayer)
    Skaliert das Bild auf eine Breite von x (falls Software-/Hardwareskalierung verfügbar ist). Deaktiviert die Berechnung des Höhen-/Breitenverhältnisses. s.TP -xvidopts <option1:option2:...> Gibt zusätzliche Parameter für die Decodierung mti XviD an. Aktiviert das direkte Rendern mit Methode 2. Deaktiviert das direkte Rendern mit Methode 2.

-xy <x>
    Skaliert das Bild um den Faktor <x>. Setzt die Bildbreite auf <x> und berechnet die Höhe so, dass das urpsrüngliche Höhen-/Breitenverhältnis beibehalten wird.

-y <y> (nur bei MPlayer)
    Skaliert das Bild auf eine Höhe von x (falls Software-/Hardwareskalierung verfügbar ist). Deaktiviert die Berechnung des Höhen-/Breitenverhältnisses.

-zoom
    Lässt Softwareskalierung zu, wo sie verfügbar ist. Kann benutzt werden, um Skalierung mit -vf scale zu erzwingen. ANMERKUNG:
    -vf scale IGNORIERT die Optionen -x / -y / -xy / -fs / -aspect, wenn -zoom nicht angegeben wird.

ENCODING-OPTIONEN (NUR BEI MENCODER)

-audio-density <1-50>
    Anzahl der Audioblöcke pro Sekunde (Standard ist 2, was in 0.5s langen Audioblöcken resultiert). ANMERKUNG:
    Nur bei CBR (konstanter Bitrate). VBR (variable Bitrate) ignoriert diese Einstellung, da jedes Paket in einen eigenen Block kommt.

-audio-delay <0.0-...>
    Setzt das Audioverzögerungsfeld im Dateikopf. Standardwert ist 0.0. Negative Werte funktionieren nicht. Diese Option verzögert den Ton nicht während des Encodierens, sondern der Player wird beim Abspielen den Ton verzögern, sodass du dann nicht mehr -delay angeben musst.

-audio-preload <0.0-2.0>
    Setzt Audiopuffer-Zeitintervall (Standardwert: 0.5s).

-divx4opts <option1:option2:...>
    Wenn du mit DivX4 encodierst, dann kannst du hier die Parameter angeben.
    Die verfügbaren Parameter lauten: gibt einen Hilfstext aus gibt die Bitrate in kbit <4-16000> oder in
    bit <16001-24000000> an maximale Anzahl Bilder zwischen zwei Schlüsselbildern (key frames) aktiviert Deinterlacing (vermeide das, da es bei DivX4 buggy ist. Nimm lieber einen der Nachbearbeitungsfilter dafür.) Qualitätslevel (1-am schnellsten, 5-am besten) minimaler Quantizer maximaler Quantizer Bitratenkontrollzeitrahmen Reaktionszeitrahmen für die Bitratenkontrolle Reaktionsverhältnis für die Bitratenkontrolle gibt Schärfe/Glätte an Mit dieser Option können DivX4-Dateien in zwei Durchläufen erstellt werden. Zuerst encodierst du mit pass=1, dann mit denselben Parametern und pass=2 anstelle von pass=1. Überschreibt die pass-Option und aktiviert den VBR-Code von XviD anstelle des DivX4-VBR-Codes. Verfügbare Optionen sind: 0: Encodieren in einem Durchlauf (als ob pass überhaupt nicht verwendet würde)
    1: Analyse bzw. erster Durchlauf. Das erstellte AVI kann nach /dev/null umgeleitet werden.
    2: Finaler zweiter Durchlauf

-endpos <[[hh:]mm:]ss[.ms]|Größe[b|kb|mb]> (siehe auch -ss und -sb)
    Beende das Encodieren nach der angegeben Zeit oder Byteposition. Kann auf verschiedene Art angegeben werden: ANMERKUNG:
    Die Byteposition ist nicht exakt, da mencoder nur an Bildgrenzen mit dem Encodieren aufhören kann. BEISPIEL: Encodiere nur 56 Sekunden Encodiere nur 1 Stunde 10 Minuten Encodiere nur 100 MBytes

-ffourcc <fourcc>
    Hiermit wird die Video-FourCC der Ausgabedatei überschrieben. BEISPIEL: setzt das FourCC-Feld in der Ausgabedatei auf 'div3'.

-include <Konfigurationsdatei>
    Gibt eine nach den Standardkonfigurationsdateien zu lesende Datei an.

-info <option1:option2:...> (nur für .AVIs)
    Gibt die Werte für den Info-Header des resultierenden .AVIs an.
    Verfügbare Optionen sind: zeigt diese Beschreibung Titel oder Thema des Films Artist oder Autor des Originalfilms Kategorie oder Genre des Films Inhalt der Datei Copyright-Informationen für diese Datei Urpsrungsform des digitalisierten Materials allgemeine Kommentare über die Datei oder den thematischen Inhalt

-lameopts <option1:option2:...>
    Wenn Audio nach MP3 mit der libmp3lame encodiert wird, kannst du hier die Parameter angeben.
    Verfügbare Optionen sind: liefert einen Hilfstext zu verwendender Bitratenmodus 0: cbr
    1: mt
    2: rh (Standard)
    3: abr
    4: mtrh durchschnittliche (average) Bitrate konstante Bitrate
    Erzwingt also CBR-Modus auch bei ABR-Presets. gibt die Bitrate in kBit/s an (nur bei CBR und ABR) Qualität (0-höchste, 9-niedrigste) (nur bei VBR) Qualität des Algorithmus (0-am besten/langsamsten, 9-am schlechtesten/schnellsten) Kompressionsverhältnis setzt die Audioeingangsverstärkung (Standardwert: auto) 0: stereo
    1: joint-stereo
    2: dualchannel
    3: mono 0: kein Padding
    1: alles
    2: automatische Anpassung Aktiviert schnelles encoding bei nachfolgenden VBR-Presets. Etwas schlechtere Qualität und höhere Bitraten sind die Nachteile. Stellt Presets für die bestmöglichen Qualitätseinstellungen zur Verfügung: +.RSss medium: VBR-Encodierung, gute Qualität, Bitrate ca. 150-180 kbps.
    standard: VBR-Encodierung, hohe Qualität, Bitrate ca. 170-210 kbps.
    extreme: VBR-Encodierung, sehr hohe Qualität, Bitrate ca. 200-140 kbps.
    instane: CBR-Encodierung, Preset mit der besten Qualität, Bitrate 320 kbps.
    <8-320>: ABR-Encodierung mit der gegebenen Bitrate.
BEISPIELE: Für die meisten Leute reicht das aus und bietet schon ziemlich gute Qualität. Encodiere mit ABR-Preset bei 192 kbps und konstanter Bitrate. Encodiere mit ABR-Preset bei einer durchschnittlichen Bitrate von 172 kbps. Für Menschen mit einem sehr guten Gehör und entsprechender HiFi-Ausstattung. Gibt Informationen über die Presets und über weitere Optionen aus.

-lavcopts <option1:option2:...>
    Wenn du mit libavcodec encodierst, kannst du hiermit die Optionen angeben. BEISPIEL: -lavcopts vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
    Verfügbare Optionen sind:
benutzt den angegeben Codec (kein Standardwert, du musst einen angeben): mjpeg: Motion JPEG
h263: H263
h263p: H263 Plus
mpeg4: DivX 4/5
msmpeg4: DivX 3
rv10: ein alter RealVideo-Codec
mpeg1video: MPEG1-Video :) minimaler Quantizer (bei Durchgang 1/2) (Standardwert: 2) konstate Quantizer (wählt einen Modus mit fest vorgegebenen Quantizern) (Standardwert: 0 (ausgeschaltet)) maximaler Quantizer (bei Durchgang 1/2) (Standardwert: 31) minimale Makroblock-Quantizer (bei Durchgang 1/2) (Standardwert: 2) maximale Makroblock-Quantizer (bei Durchgang 1/2) (Standardwert: 31) maximale Differenz der Quantizer zwischen I- oder P-Bildern (bei Durchgang 1/2) (Standardwert: 3) maximale Anzahl von B-Frames zwischen Nicht-B-Frames: 0: keine B-Frames (Standard)
0-2: sinnvolle Werte Modus der Bewegungsvoraussage: 0: keine (sehr niedrige Qualität)
1: voll (langsam)
2: log (lq)
3: phods (lq)
4: EPZS (Standard)
5: X1 (experimentell) Modus für hohe Qualität. Encodiert jeden Makroblock in allen Modi und wählt dann das kleinste Ergebnis (langsam) (Standard: hohe Qualität deaktiviert) vier Bewegungsvektoren pro Makroblock (etwas bessere Qualität) (standardmäßig deaktivert). Maximale Anzahl von Bildern zwischen zwie Schlüsselbildern (key frames). Größere Intervalle resultieren in kleineren Dateien aber ungenauerem Spulen. Ein Wert von 0 bedeutet keine Schlüsselbilder, und Werte > 300 sind nicht empfehlenswert. Bei strikter Einhaltung des MPEG1/2/4-Standards muss der Wert <= 132 sein (Standardwert: 250, was einem Schlüsselbild alle zehn Sekunden bei einem 25fps-Film bedeutet). Strategie, mit der zwischen I/P/B-Frames gewählt wird (beim zweiten Durchgang). 0: Benutzt immer die maximale Anzahl von B-Frames (Standard).
1: Vermeidet B-Frames in Szenen mit viel Bewegung (was zu falschen Vorhersagen bei der Bitrate führt). Aktiviert den internen Modus für zwei Durchgänge (standardmäßig deaktiviert): 1: erster Durchgang
2: zweiter Durchgang Speichert das Höhen-/:Breitenverhältnis intern im Videostream, genauso wie bei MPEG1/2. Deutlich bessere Lösung als Skalierung, da hierbei die Qualität nicht gemindert wird. Momentan kann nur MPlayer solche Dateien mit dem richtigen Verhältnis wiedergeben, andere Player zeigen ein falsches Verhältnis. Beispiel: aspect=16.0/9.0 gibt die Bitrate (bei Durchgang 1/2) in specify bitrate (pass 1/2) in kBit <4-16000> oder
Bit <16001-24000000> an
(Warnung: 1kBit = 1000 Bits)
(Standardwert: 800) ungefähre Dateigrößentoleranz in kbit (Warnung: 1kBit = 1000 Bits) (Standardwert: 8000) maximale Bitrate in kbit/sec (Durchgang 1/2) minimale Bitrate in kbit/sec (Durchgang 1/2) Puffergröße in kbit (Durchgang 1/2) Anmerkung: vratetol sollte während des zweiten Durchgangs nicht zu hoch gesetzt werden, da ansonsten Probleme auftreten können, wenn vrc_(min|max)rate benutzt wird. Quantizer-Faktor zwischen B- und Nicht-B-Frames (Durchgang 1/2) (Standardwert: 1.25) Quantizer-Faktor zwischen I- und Nicht-I-Frames (Durchgang 1/2) (Standardwert: 0.8) Quantizer-Offset zwischen B- und Nicht-B-Frames (Durchgang 1/2) (Standardwert: 1.25) Quantizer-Offset zwischen I- und Nicht-I-Frames (Durchgang 1/2) (Standardwert: 0.0)
if v{b|i}_qfactor > 0 then
I/B-Frame-Quantizer = P-Frame-Quantizer * v{b|i}_qfactor + v{b|i}_qoffset
else
benutze die normale Bitratenkontrolle (lege den nächsten P-Frame-Quantizer nicht fest) und setze q= -q * v{b|i}_qfactor + v{b|i}_qoffset Quantizer-Glättung (Durchgang 1): 0.0: qblur deaktiviert
0.5 (Standard)
1.0: wähle einen Durchschnittsquantizer aller vorhergehender Frames. Größere Werte bilden den Durchschnitt über mehr Frames (langsamerer Wechsel). Gaußsche Unschärfe für die Quantizer. Größere Werte bilden den Durchschnitt über mehr Frames (langsamerer Wechsel) (Durchgang 2) (Standardwert: 0.5). Quantizer-Kompression, hängt von vrc_eq ab (Durchgang 1/2) (Standardwert: 0.5) hauptsächlich verwendete Gleichung für die Bitratenkontrolle (Durchgang 1/2): 1: konstant Bitrate
tex: konstante Qualität
1+(tex/avgTex-1)*qComp: ungefähr die Gleichung der alten Bitratenkontrolle code
tex^qComp: mit qcomp = 0.5 oder einem ähnlichen Wert (Standard) Infixoperatoren: +,-,*,/,^ Variables:
tex: Texturkomplexität
iTex,pTex: Intra- und Nicht-Intra-Texturkomplexität
avgTex: durchschnittliche Texturkomplexität
avgIITexaverage: Intra-Texturkomplexität bei I-Frames
avgPITexaverage: Intra-Texturkomplexität bei P-Frames
avgPPTexaverage: Nicht-Intra-Texturkomplexität bei P-Frames
avgBPTexaverage: Nicht-Intra-Texturkomplexität bei B-Frames
mv: für Bewegungsvektoren verwendete Bits
fCode: maximale Länge der Bewegungsvektoren (log2)
iCount: Anzahl der Intra-Makroblöcke / Anzahl der Makroblöcke
var: räumliche Komplexität
mcVar: zeitliche Komplexität
qComp: auf der Kommandozeile angegebener Wert von qcomp
isI, isP, isB: is 1 if picture type is I/P/B else 0
Pi,E: schau in dein Lieblingsmathebuch Functions:
max(a,b),min(a,b): Maximum / Minimum
gt(a,b): (greater than) ist 1, falls a>b, ansonsten 0
lt(a,b): (less than) ist 1, falls a<b, ansonsten 0
eq(a,b): (equak) ist 1, falls a==b, ansonten 0
sin, cos, tan, sinh, cosh, tanh, exp, log, abs Benutzerdefinierte Qualität für bestimmte Abschnitte (Durchgang 1/2). Die Optionen haben folgenden Aufbau: <Startframe, Endframe, Qualität[/Startframe, Endframe, Qualität[/...]]>: Qualität 2-31: Quantizer
Qualität -500-0: Qualitätskorrektur in % anfägnliche Komplexität (Durchgang 1) Gibt an, wie die Quantizer zwischen qmin und qmax gehalten werden (Durchgang 1/2): 0: mit Clipping
1: benutzt eine schöne ableitbare Funktion (Standard) Schwelle für die Eliminierung von einzelnen Koeffizienten beim Helligkeitsanteil. Bei negativen Werten werden auch die dc-Koeffizienten betrachtet (sollte mindestens -4 or niedriger sein, wenn mit quant=1 encodiert wird): 0: deaktiviert (Standard)
-4 (JVT-Empfehlung) Schwelle für die Eliminierung von einzelnen Koeffizienten beim Farbanteil. Bei negativen Werten werden auch die dc-Koeffizienten betrachtet (sollte mindestens -4 or niedriger sein, wenn mit quant=1 encodiert wird): 0 deaktiviert (Standard)
7 (JVT-Empfehlung) Strikte Einhaltung der Standards. 0: deaktiviert (Standardeinstellung)
1: Nur empfehlenswert, wenn die Ausgabe mit einem MPEG4 Referenzdekoder dekodiert werden soll.
-1: Erlaubt nichstandardkonforme YV12-Huffyuv-Encodierung (20% kleinere Dateien, die aber nicht mit dem offiziellen Huffyuv-Codec abgespielt werden können). Datenpartitionierung. Fügt zwei Bytes pro Videopaket hinzu und erhöht die Fehlerresistenz beim Transfer über unzuverlässige Kanäle (z.B. Streaming über's Internet). Videopaketgröße, erhöht die Fehlerresistenz (siehe auch -vdpart): 0: deaktiviert (Standard)
100-1000: gute Wahl Encodierung zu Graustufenbildern (schneller) (Standard: deaktiviert) DCT-Algorithmus (diskrete Cosinustransformation): 0: automatische Wahl (Standard)
1: schneller Integeralgorithmus
2: genauer Integeralgorithmus
3: mmx
4: mlib IDCT-Algorithmus (inverse diskrete Cosinustransformation). Anmerkung: All diese IDCT-Algorithmen bestehen die IEEE1180-Tests: 0: automatische Wahl (Standard)
1: JPEG-Referenzalgorithmus (Integer)
2: simple
3: simplemmx
4: libmpeg2mmx (ungenau, benutze ihn NICHT mit einem keyint > 100)
5: ps2
6: mlib
7: arm Helligkeitsmaskierung. Warnung: Sei vorsichtig! Zu große Werte können desaströse Ergebnisse liefern. Warnung2: Große Werte mögen auf einigen Monitoren gut aussehen, können aber auch schrecklich auf anderen aussehen. 0.0: deaktiviert (Standard)
0.0-0.3: sinnvoller Bereich Dunkelheitsmaskierung. Warnung: Sei vorsichtig! Zu große Werte können desaströse Ergebnisse liefern. Warnung2: Große Werte mögen auf einigen Monitoren gut aussehen, können aber auch schrecklich auf anderen Monitoren / Fernsehern / TFTs aussehen. 0.0: deaktiviert (Standard)
0.0-0.3: sinnvoller Bereich Maskierung der zeitlichen Komplexität (Standardwert: 0.0 (deaktiviert)) Maskierung der räumlichen Komplexität. Größere Werte helfen bei Blockartefakten, falls bei der Decodierung kein Filter gegen Blockartefakte eingesetzt wird. Schneide alle schwarzen Balken weg, um eine bessere Qualität zu erzielen: 0.0: deaktiviert (Standard)
0.0-0.5: sinnvoller Bereich Normalisierte adaptive Quantisierung (experimentell). Wenn adaptive Quantisierung benutzt wird (*_mast), dann wird der durchschnittliche Quantizer pro Makroblock eventuell nicht mehr dem geforderten Bild-Quantizer entsprechen. NAQ versucht dann, den pro Makroblock verwendeten Quantizer anzupassen, um den geforderten Durschnitt zu erreichen. benutze die interlaced DCT YV12: Standard
422P: für huffyuv (für huffyuv) 0: left prediction
1: plane/gradient prediction
2: median prediction benutze quarter pel motion compensation Vergleichsfunktion für motion estimation pre pass Vergleichsfunktion für full pel motion estimation Vergleichsfunktion für sub pel motion estimation 0 (SAD): Summe der absoluten Differenzen, schnell (standard)
1 (SSE): Summe der quadratischen Fehler
2 (SATD): Summe der absoluten Hadamard-transformierten Differenzen
3 (DCT): Summe der absoluten DCT-transformierten Differenzen
4 (PSNR): Summe der quadratischen Quantisierungsfehler
5 (BIT): Anzahl der für den Block benötigten Bits
6 (RD): rate distoration optimal, langsam
7 (ZERO): 0
+256: benutze auch die Farbinformation. Funktioniert momentan nicht mit B-Frames. Diamantentyp und -größe für motion estimation pre pass Diamantentyp und -größe für motion estimation. Anmerkung: Die Größe von normalen Diamanten und von shape adaptiven Diamanten sind nicht das gleiche. -3: shape adaptiver (schnell) Diamant mit einer Größe von 3
-2: shape adaptiver (schnell) Diamant mit einer Größe von 2
-1: experimentell
 1: normaler Diamant mit Größe 1 (Standard) = EPZS-Typ-Diamant
      0
     000
      0
 2: normaler Diamant mit Größe 2
      0
     000
    00000
     000
      0
Trellis-Quantisierung. Hiermit wird die optimale Encodierung für jeden 8x8-Block gefunden. Die Trellis-Quantisierung ist im Sinne von 'PSNR vs Bitrate' einfahc die optimale Quantisierung (unter der Annahme, dass durch die IDCT keine Rundungsfehler ins Spiel kommen - was natürlich nicht der Fall ist). Sie findet einfach einen Block für das Minimum von Fehler und lambda * bits. lambda: qp-abhängige Konstante
bits: für die Encodierung des Blockes benötigte Anzahl Bits
error: Summe der quadratischen Quantisierungsfehler Menge der motion predictors vom letzten Bild 0: (Standard)
a: benutzt 2a+1 x 2a+1 MB-Quadrat von MV predictors vom vorherigen Bild motion estimation pre-pass 0: deaktiviert
1: nur nach I-Frames (Standard)
2: immer subpel refinement quality (für qpel) (Standardwert: 8). Anmerkung: Diese Einstellung hat eine signifikante Auswirkung auf die Geschwindigkeit. Gibt den maximalen Signal-zu-Rauschabstand (peak signal to noise ratio) für das komlpette Video nach dem Encodieren aus und speichert die psnr-Werte für jedes Bild in der Datei 'psnr_012345.log'. benutze MPEG-Quantizer anstelle der H.263-Quantizer (Standard: deaktiviert = benutze H.263-Quantizer)

-noskip
    Verwerfe keine Bilder.

-o <Dateiname>
    Schreibt in die angegebene Datei anstatt in 'test.avi'.

-oac <Codecname>
    Encodiere Audio mit dem angegebenen Codec. Mit -ovc help erhälst du eine Liste verfügbarer Codecs (kein Standardwert vorhanden). BEISPIEL: kein Encodieren, sondern nur Kopie des Streams encodiere in unkomprimiertes PCM encodiere nach MP3 (mit Lame)

-of <Format> (BETA-CODE!)
    Gib in dem angegebenen Format aus. Mit -of help bekommst du eine Liste vorhandener Formate. BEISPIELE: Gib ein AVI aus (Standard). Gib ein MPEG aus.

-ofps <fps>
    Die Ausgabedatei wird eine andere Anzahl Bilde pro Sekunde haben als die Quelldatei. Diese Option MUSS gesetzt werden, wenn eine Quelldatei mit variabler FPS (ASF, einige MOV) oder ein progressiver Film (29.97fps telecined MPEG) encodiert wird.

-ovc <Codecname>
    Encodiere Video mit dem angegebenen Codec. Mit -ovc help erhälst du eine Liste verfügbarer Codecs (kein Standardwert vorhanden). BEISPIEL: kein Encodieren, sondern nur Kopie des Streams encodiere mit DivX4/DivX5 encodiere zu unkomprimierten RGB24-Bildern encodiere mit einem Codec aus der libavcodec

-passlogfile <Dateiname>
    Wenn mit zwei Durchgängen encodiert wird, dann schreibt MEncoder die Informationen des ersten Durchgangs in die angegebene Datei und nicht nach divx2pass.log.

-skiplimit <Wert>
    Maximale Anzahl ausgelassener Bilder nach einem nicht ausgelassenen (mit -noskiplimit gibt es ein solches Limit nicht).

-v, --verbose
    Aktiviert die ausführliche Ausgabe (mehrere -v bedeuten mehr Meldungen). nur einige Informationen (Standard) grundlegende Debuginformationen, AVI-Header, Funktionswerte (init debug) Ausgabe von AVI-Indizes, gelesenen Blöcken, mehr Debuginformationen (player debug) Gibt alles, was mit Eingabeparsersn zu tun hat aus (parser debug)

-vobsubout <Basisname>
    Gibt den Basisnamen für die Ausgabe der .idx und .sub-Dateien. Damit wird das Rendern der Untertitel im encodierten Film deaktiviert, und die Untertitel werden stattdessen in eine VOBsub-Datei umgeleitet.

-vobsuboutindex <Index>
    Gibt den Index der ausgegebenen VOBsub-Untertitel an (Standardwert: 0).

-vobsuboutid <Sprach-ID>
    Gibt den zweibuchstabigen Sprachcode der Untertitel an. Dieser Wert überschreibt, was von der DVD oder der .ifo-Datei gelesen wurde.

-xvidencopts <option1:option2:...>
    Wenn mit XviD encodiert wird, können hier die Parameter dafür angegeben werden.
    Es gibt drei Modi: konstante Bitrate (CBR), feste Quantizer und Encodieren in zwei Durchgängen.
    Verfügbare Optionen sind: Gibt die Nummer des Durchgangs an. Setzt die zu benutzende Bitrate in kbit/s an, wenn Wert < 16000 ist, oder in bit/s, wenn Wert > 16000 ist (nur bei CBR oder bei zwei Durchgängen, Standardwert: 687 kbit/s). Aktiviert den Modus mit festen Quantizern und gibt den zu benutzenden Quantizer an. Gibt die Qualität der Bewegungserkennung an (Standardwert: 4). Benutzt vier Bewegungsvektoren pro Makroblock, was eine bessere Kompression auf Kosten der Encodiergeschwindigkeit bringen kann (standardmäßig aus). Gibt an, wie schnell die Bitratenkontrolle reagiert. Niedrigere Werte stehen für schnellere Reaktion. Zeitraum zum Erreichen des geforderten Durchschnitts. Größe des Bitratenkontrollpuffers minimale und maximale Quantizer für alle Bilder (Standard: 2-31 im CBR-Modus)
    minimale und maximale Quantizer für I-/P-Frames (Standard: 2-31/2-31 im Modus mit zwei Durchgängen) minimale Anzahl Bilder zwischen zwei Schlüsselbildern (Standardwert 0, nur im Modus mit zwei Durchgängen) maximale Anzahl Bilder zwischen zwei Schlüsselbildern (Standardwert 10 * FPS, nur im Modus mit zwei Durchgängen) benutze MPEG-Quantizer anstelle von H.263-Quantizern (Standard: aus) Entscheide für jedes Bild, ob MPEG- oder H.263-Quantizer zu verwenden sind (standardmäßig aus, nur beim Modus mit zwei Durchgängen). Benutze einen Algorithmus zur Helligkeitsmaskierung (standardmäßig aus, scheint buggy zu sein) Speichert während des ersten Durchgangs die Bewegungsvektoren in einer Datei und benutzt diese Datei beim zweitn Durchgang (standardmä-ig aus, scheint buggy zu sein, nur beim Modus mit zwei Durchgängen). Gibt die temporäre Datei an, die bei 'hintedme' benutzt wird (Standard: ./xvid_hint_me.dat, nur beim Modus mit zwei Durchgängen) Speichert Bildstatistiken in xvid.dbg (standardmäßig aus).
    Hierbei handelt es sich NICHT um die Kontrolldatei für den Modus mit zwei Durchgängen. (Standardwert 0, nur im Modus mit zwei Durchgängen) (Standardwert 10, nur im Modus mit zwei Durchgängen) (Standardwert 30, nur im Modus mit zwei Durchgängen)

TASTATURSTEUERUNG
ANMERKUNG:
MPlayer verfügt über eine weitgehend konfigurierbare und ereignisgesteuerte Eingabeschicht, durch die MPlayer per Tastatur, Maus, Joystick oder Fernbedienung (mittels LIRC) gesteuert werden kann.
Die Standardkonfigurationsdatei für das Steuerungssystem ist ~/.mplayer/input.conf. Mit -input kann aber auch eine andere Datei angegeben werden.
Die Tasten sind wie folgt belegt (funktioniert abhängig vom Videoausgabetreiber mal, mal auch nicht):

allgemeine Steuerung
    spule 10 Sekunden zurück/vor spule 1 Minute zurück/vor spule 10 Minuten zurück/vor zurück/vorwärts in der Playliste gehe zum nächsten/vorherigen Playtree-Eintrag in der übergeordneten Liste gehe zur nächsten/vorherigen alternativen Quelle (nur bei ASX-Playlisten) Pause (beliebige Taste für's Beenden der Pause) beendet MPlayer verändert die Audioverzögerung um +/- 0.1 Sekunden verringert/erhöht die Lautstärke verringert/erhöht die Lautstärke schaltet den Ton stumm wechselt zwischen Vollbild und Fenstermodus verkleinert/vergrößert den Bereich für panscan schaltet durch die OSD-Modi kein OSD / nur Suchleisten / Suchleisten + Zeit schaltet Verwerfen von Bildern an/aus de-/aktiviert die Anzeige von Untertiteln schaltet durch die vorhandenen Untertitelsprachen de-/aktiviert "erzwungene Untertitel" wechselt die Ausrichtung der Untertitel: oben, mittig, unten verändert die Untertitelverzögerung um +/- 0.1 Sekunden passt die Position der Untertitel an setzt eine EDL-Markierung
(Die folgenden Tasten sind nur bei -vo xv, -vo [vesa|fbdev]:vidix, -vo xvidix, -vo (x)mga oder bei -vc divxds (langsam) gültig.) Kontrastanpassung Helligkeitsanpassung Farbanpassung Sättigungsanpassung

Tastaturbelegung des GUIs
    starte das Abspielen beende das Abspielen lädt eine Datei zeigt alle verfügbaren Skins an de-/aktiviert die Playlist

TV-Kontrollen
    wählt den vorherigen/nächsten Kanal ändert den TV-Standard ändert die Senderliste

DVDNAV-Kontrollen
    Bewegung nach oben/unten/links/rechts gehe zum Hauptmenü Auswahl

SLAVE-MODUS-PROTOKOLL
Wenn die Option -slave angegeben wurde, dann wird die Wiedergabe durch ein zeilenbasiertes Protokoll geregelt. Jede Zeile muss genau ein Kommando enthalten.

Kommanods
    Spult an eine Stelle im Film. Typ 0 ist ein relatives Spulen um +/- <Wert. Sekunden. Typ 1 springt an <Wert> % des Films. Typ 2 ist eine absolute Position von <Wert> Sekunden. Passt die Audioverzögerung um <Wert> Sekunden an. beendet MPlayer pausiert die Wiedergabe bzw. setzt sie fort Weiß das jemand? Springe zum nächsten/vorherigen Eintrag im Playtree. Wie pt_step, aber der Sprung erfolgt zum nächsten/vorherigen Eintrag in der übergeordneten Liste. Wenn mehr als eine Quelle verfügbar ist, so wird hiermit die nächste/vorherige angewählt (nur bei ASX-Playlisten). Ändert die Verzögerung der Untertitel um +/- <Wert> Sekunden oder setzt sie auf <Wert> Sekunden, wenn abs ungleich 0 ist. Schaltet durch die OSD-Modi oder setzt ihn auf <Wert>, wenn <Wert> > 0 ist. Erhöht/verringert die Lautstärke Setzt/Ändert die Videoparameter. Schaltet das Verwerfen von Bildern an/aus. Schaltet die Untertitel ein/aus. Verändert die Position der Untertitel. Wechselt zwischen Vollbild und Fenstermodus. Wählt den nächsten/vorherigen TV-Kanal. Ändert den TV-Standard. Ändert die Kanalliste. GUI-Befehle

DATEIEN

/etc/mplayer/mplayer.conf
    systemweite Einstellungen

~/.mplayer/config
    Benutzereinstellungen

~/.mplayer/input.conf
    Eingabebelegungen (siehe '-input keylist' für eine vollständige Auflistung aller Tastennamen)

~/.mplayer/gui.conf
    GUI-Konfigurationsdatei

~/.mplayer/gui.pl
    GUI-Playliste

~/.mplayer/font/
    Schriftartenverzeichnis (es müssen sich eine Datei font.desc und Dateien mit der Erweiterung .RAW in dem Verzeichnis befinden)

~/.mplayer/DVDkeys/
    geknackte CSS-Schlüssel
Untertiteldateien werden in dieser Reihenfolge gesucht (bei z.B. einem
    Film namens /mnt/cdrom/film.avi): /mnt/cdrom/film.sub
    ~/.mplayer/sub/film.sub
    ~/.mplayer/default.sub

BEISPIELE

Simples Kommando für DVD
    mplayer vd://1

Audio auf japanisch mit englischen Untertiteln
    mplayer vd://1 -alang ja -slang en

Spiele nur Kapitel 5, 6, 7
    mplayer vd://1 -chapter 5-7

bei DVDs mit mehreren Kameraperspektiven
    mplayer vd://1 -dvdangle 2

Abspielen von einem anderen DVD-Gerät
    mplayer vd://1 -dvd-device /dev/dvd2

Abspielen mit alter DVD-Unterstützung (VOB)
    mplayer -dvdauth /dev/dvd /mnt/dvd/VIDEO_TS/VTS_02_4.VOB

Streaming per HTTP
    mplayer http://mplayer.hq/example.avi

Streaming mit RTSP
    mplayer rtsp://server.example.com/streamName

Konvertiere Untertitel in's MPsub-Format (nach ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Lies vom Standard-V4L-Gerät
    mplayer -tv on:driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Encodiere Titel Nr. 2 der DVD, aber nur ausgewählte Kapitel
    mencoder vd://2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Encodiere Titel Nr. 2 der DVD und skaliere auf 640x480
    mencoder vd://2 -vf scale=640:480 -o title2.avi -oac copy -ovc divx4

Encodiere Titel Nr. 2 der DVD und skaliere auf 512xHHH unter Beibehaltung des Höhen-/Breitenverhältnisses
    mencoder vd://2 -vf scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

Das gleiche, aber mit libavcodecs MPEG4-Codec
    mencoder vd://2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Das gleiche, aber mit libavcodecs MJPEG-Codec
    mencoder vd://2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encodiere alls .jpg-Dateien im aktuellen Verzeichnis
    mencoder \*.jpg -mf on:fps=25 -o output.avi -ovc divx4

Encodiere das Fernsehsignal
    mencoder -tv on:driver=v4l:width=640:height=480 -o tv.avi -ovc rawrgb

Encodiere und lies von einer Pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -- -

Encodiere mehrere .vob-Dateien
    cat *.vob | mencoder <options> -

FEHLER
Berichte uns davon, wenn du einen findest, sei aber sicher, daß Du vorher die ganze Dokumentation gelesen hast. Viele Fehler sind das Resultat eines fehlerhaften Setups oder falscher Benutzung der Parameter. Die Sektion über Fehlerberichterstattung in der Dokumentation (DOCS/de/bugreports.html) beschreibt, wie man nutzbringende Fehlerberichte erstellt.

AUTOREN
MPlayer wurde ursprünglich von Arpad Gereöffy geschrieben. Siehe Datei AUTHORS für eine Liste einiger der vielen anderer Beitragenden.

MPlayer is (C) 2000-2004
    The MPlayer Team

Diese Manpage wurde geschrieben und wird gepflegt von
    Gabucino
    Diego Biurrun
    Jonas Jermann
    Moritz Bunkus

Schicke Mails die Manpage betreffend bitte an die MPlayer-DOCS-Mailingliste.

STANDARD-HAFTUNGSAUSSCHLUSS
Benutzung des Programms auf eigene Gefahr! Es könnte Fehler und Ungenauigkeiten enthalten, die dein System oder deine Augen beschädigen können. Sei also vorsichtig. Obwohl es sehr unwahrscheinlich ist, dass etwas passiert, übernehmen die Autoren keine Verantwortung dafür!